diff -ruN vdr-1.5.10/CONTRIBUTORS vdr-1.5.11/CONTRIBUTORS
--- vdr-1.5.10/CONTRIBUTORS	2007-10-14 15:11:23.000000000 +0200
+++ vdr-1.5.11/CONTRIBUTORS	2007-11-04 12:24:07.000000000 +0100
@@ -222,6 +222,7 @@
  for reporting a double fdopen() in cPipe::Open()
  for suggesting to increase the APIVERSION to allow plugins that relied on the
  cStatus::MsgSetVolume() bug to react properly
+ for improving the 'i18n' target in the Makefile to avoid unnecessary work
 
 Ulrich Rder <roeder@efr-net.de>
  for pointing out that there are channels that have a symbol rate higher than 27500
@@ -587,6 +588,8 @@
  is a recording going on or about to start, and the user insists in shutting down now
  for suggesting to make the channel entry timeout configurable
  for a patch that was used to implement the SVDRP command REMO
+ for reporting a possible crash in decoding filename characters in case there are
+ not two hex digits after the '#'
 
 Jeremy Hall <jhall@UU.NET>
  for fixing an incomplete initialization of the filter parameters in eit.c
@@ -743,6 +746,7 @@
 Clemens Kirchgatterer <clemens@thf.ath.cx>
  for suggesting to change source directory name for plugins from 'SRC' to 'src'
  for reporting a problem with user defined CFLAGS in libdtv/libvdr/Makefile
+ for suggesting an error log message if no fonts are found
 
 Emil Naepflein <Emil.Naepflein@philosys.de>
  for suggesting to take an active SVDRP connection into account when doing shutdown or
@@ -889,6 +893,7 @@
  for a patch that was used for implementing setting the user id
  for pointing out that the canonical spelling of codesets is with '-'
  for a hint on using _nl_msg_cat_cntr
+ for adding some missing 'const' keywords
 
 Thomas Koch <tom@harhar.net>
  for his support in keeping the Premiere World channels up to date in 'channels.conf'
@@ -1028,6 +1033,7 @@
  the subtitles plugin
  for implementing cDevice::CloseFilter()
  for some fixes to PLUGINS.html
+ for fixing handling CONFDIR
 
 Ralf Klueber <ralf.klueber@vodafone.com>
  for reporting a bug in cutting a recording if there is only a single editing mark
@@ -1430,6 +1436,7 @@
  for implementing handling DVB subtitles
  for fixing the description of DeviceSetAvailableTrack() and cReceiver(), and adding
  an example ~cMyReceiver() in PLUGINS.html (thanks to Marco Schller).
+ for fixing checking compatibility mode for old subtitles plugin
 
 Jrgen Schmitz <j.schmitz@web.de>
  for reporting a bug in displaying the current channel when switching via the SVDRP
@@ -1535,6 +1542,8 @@
  for adding a missing error report to cCuttingThread::Action()
  for reporting a problem in handling reallocated memory in cCharSetConv::Convert()
  for fixing a new[]/delete mismatch in cMenuEditStrItem::LeaveEditMode()
+ for improving shutdown handling
+ for making housekeeping wait for a while after a replay has ended
 
 Sven Kreiensen <svenk@kammer.uni-hannover.de>
  for his help in keeping 'channels.conf.terr' up to date
@@ -1709,6 +1718,8 @@
  for suggesting to add the "...or (at your option) any later version" phrase to the
  license information of all plugins, and also the 'newplugin' script
  for fixing the link to the GPL2 at http://www.gnu.org in vdr.c
+ for making the "Play" key start replay of the selected recording in the Recordings
+ menu
 
 Steffen Beyer <cpunk@reactor.de>
  for fixing setting the colored button help after deleting a recording in case the next
@@ -1788,6 +1799,10 @@
  for removing a duplicate ',' from the ca_ES.po file
  for suggesting to add the '' character to the "allowed characters" in the
  de_DE.po file
+ for adding more special characters to the list of allowed characters when entering
+ strings
+ for suggesting to make the 'Allowed' parameter in cMenuEditStrItem() NULL by default,
+ which results in using tr(FileNameChars)
 
 David Woodhouse <dwmw2@infradead.org>
  for his help in replacing the get/put_unaligned() macros from asm/unaligned.h with
@@ -2210,3 +2225,15 @@
 Torsten Kunkel <vdrml@tkunkel.de>
  for pointing out that it was not obvious how to initiate internationalization
  support for a plugin
+
+Michael Nival <mnival@club-internet.fr>
+ for translating OSD texts to the French language
+
+Yarema Aka Knedlyk <yupadmin@gmail.com>
+ for translating OSD texts to the Ukrainian language
+
+Lauri Nurmi <lanurmi@iki.fi>
+ for adding a missing '.' to the date returned by DayDateTime()
+
+Mario Ivankovits <mario@ops.co.at>
+ for fixing a crash if no fonts are found
diff -ruN vdr-1.5.10/HISTORY vdr-1.5.11/HISTORY
--- vdr-1.5.10/HISTORY	2007-10-14 15:11:00.000000000 +0200
+++ vdr-1.5.11/HISTORY	2007-11-04 12:22:45.000000000 +0100
@@ -5487,3 +5487,34 @@
 - Added cDevice::CloseFilter() to allow a device to have complete control over
   both opening and closing section filters (thanks to Rolf Ahrenberg).
 - Some fixes to PLUGINS.html (thanks to Rolf Ahrenberg).
+
+2007-11-04: Version 1.5.11
+
+- Fixed checking compatibility mode for old subtitles plugin (thanks to Marco
+  Schller).
+- Updated the French OSD texts (thanks to Michael Nival).
+- Updated the Estonian OSD texts (thanks to Arthur Konovalov).
+- Updated the Italian OSD texts (thanks to Diego Pierotto).
+- The "Play" key now starts replay of the selected recording in the Recordings
+  menu (thanks to Ville Skytt);
+- Improved shutdown handling (thanks to Udo Richter).
+- Housekeeping now waits for a while after a replay has ended (thanks to Udo Richter).
+- Added more special characters to the list of allowed characters when entering
+  strings (thanks to Thomas Gnther).
+- Added Ukrainian language texts (thanks to Yarema Aka Knedlyk).
+- Added a workaround for recovering from wrongfully interpreted "pre 1.3.19 PS1 packets".
+- Fixed a possible blocking in replay when subtitles are active.
+- Fixed displaying subtitles in live mode.
+- Fixed handling CONFDIR (thanks to Rolf Ahrenberg).
+- Added some missing 'const' keywords (thanks to Sascha Volkenandt).
+- The 'Allowed' parameter in cMenuEditStrItem() is now NULL by default, which results
+  in using tr(FileNameChars) (suggested by Thomas Gnther).
+- Added a missing '.' to the date returned by DayDateTime() (thanks to Lauri Nurmi).
+- Improved the 'i18n' target in the Makefile to avoid unnecessary work (thanks to
+  Stefan Huelswitt). The 'newplugin' and 'i18n-to-gettext.pl' scripts have been
+  changed accordingly. Plugin authors may want to adjust the 'i18n' target
+  of their Makefiles.
+- Fixed a crash if no fonts are found (thanks to Mario Ivankovits and Clemens
+  Kirchgatterer).
+- Fixed decoding filename characters in case there are not two hex digits after
+  the '#' (reported by Helmut Auer).
diff -ruN vdr-1.5.10/Makefile vdr-1.5.11/Makefile
--- vdr-1.5.10/Makefile	2007-10-13 11:26:40.000000000 +0200
+++ vdr-1.5.11/Makefile	2007-11-04 11:15:59.000000000 +0100
@@ -4,7 +4,7 @@
 # See the main source file 'vdr.c' for copyright information and
 # how to reach the author.
 #
-# $Id: Makefile 1.108 2007/10/13 09:26:40 kls Exp $
+# $Id: Makefile 1.110 2007/11/04 10:15:59 kls Exp $
 
 .DELETE_ON_ERROR:
 
@@ -27,7 +27,7 @@
 PLUGINLIBDIR= $(PLUGINDIR)/lib
 
 VIDEODIR = /video
-CONFDIR ?= $(VIDEODIR)
+CONFDIR  = $(VIDEODIR)
 
 DOXYGEN  = /usr/bin/doxygen
 DOXYFILE = Doxyfile
@@ -106,25 +106,25 @@
 PODIR     = po
 LOCALEDIR = locale
 I18Npo    = $(wildcard $(PODIR)/*.po)
-I18Nmo    = $(addsuffix .mo, $(foreach file, $(I18Npo), $(basename $(file))))
-I18Ndirs  = $(notdir $(foreach file, $(I18Npo), $(basename $(file))))
+I18Nmsgs  = $(addprefix $(LOCALEDIR)/, $(addsuffix /LC_MESSAGES/vdr.mo, $(notdir $(foreach file, $(I18Npo), $(basename $(file))))))
 I18Npot   = $(PODIR)/vdr.pot
 
 %.mo: %.po
 	msgfmt -c -o $@ $<
 
 $(I18Npot): $(wildcard *.c)
-	xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --msgid-bugs-address='<vdr-bugs@cadsoft.de>' -o $@ $(wildcard *.c)
+	xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --msgid-bugs-address='<vdr-bugs@cadsoft.de>' -o $@ $^
 
-$(I18Npo): $(I18Npot)
+%.po: $(I18Npot)
 	msgmerge -U --no-wrap --no-location --backup=none -q $@ $<
+	@touch $@
 
-i18n: $(I18Nmo)
-	@mkdir -p $(LOCALEDIR)
-	for i in $(I18Ndirs); do\
-	    mkdir -p $(LOCALEDIR)/$$i/LC_MESSAGES;\
-	    cp $(PODIR)/$$i.mo $(LOCALEDIR)/$$i/LC_MESSAGES/vdr.mo;\
-	    done
+$(I18Nmsgs): $(LOCALEDIR)/%/LC_MESSAGES/vdr.mo: $(PODIR)/%.mo
+	@mkdir -p $(dir $@)
+	cp $< $@
+
+.PHONY: i18n
+i18n: $(I18Nmsgs)
 
 install-i18n:
 	@mkdir -p $(DESTDIR)$(LOCDIR)
diff -ruN vdr-1.5.10/PLUGINS/src/hello/Makefile vdr-1.5.11/PLUGINS/src/hello/Makefile
--- vdr-1.5.10/PLUGINS/src/hello/Makefile	2007-10-14 11:23:04.000000000 +0200
+++ vdr-1.5.11/PLUGINS/src/hello/Makefile	2007-11-04 11:52:15.000000000 +0100
@@ -1,7 +1,7 @@
 #
 # Makefile for a Video Disk Recorder plugin
 #
-# $Id: Makefile 1.20 2007/10/14 09:23:04 kls Exp $
+# $Id: Makefile 1.21 2007/11/04 10:52:15 kls Exp $
 
 # The official name of this plugin.
 # This name will be used in the '-P...' option of VDR to load the plugin.
@@ -72,25 +72,25 @@
 PODIR     = po
 LOCALEDIR = $(VDRDIR)/locale
 I18Npo    = $(wildcard $(PODIR)/*.po)
-I18Nmo    = $(addsuffix .mo, $(foreach file, $(I18Npo), $(basename $(file))))
-I18Ndirs  = $(notdir $(foreach file, $(I18Npo), $(basename $(file))))
+I18Nmsgs  = $(addprefix $(LOCALEDIR)/, $(addsuffix /LC_MESSAGES/vdr-$(PLUGIN).mo, $(notdir $(foreach file, $(I18Npo), $(basename $(file))))))
 I18Npot   = $(PODIR)/$(PLUGIN).pot
 
 %.mo: %.po
 	msgfmt -c -o $@ $<
 
 $(I18Npot): $(wildcard *.c)
-	xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --msgid-bugs-address='<vdr-bugs@cadsoft.de>' -o $@ $(wildcard *.c)
+	xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --msgid-bugs-address='<vdr-bugs@cadsoft.de>' -o $@ $^
 
-$(I18Npo): $(I18Npot)
+%.po: $(I18Npot)
 	msgmerge -U --no-wrap --no-location --backup=none -q $@ $<
+	@touch $@
 
-i18n: $(I18Npot) $(I18Nmo)
-	@mkdir -p $(LOCALEDIR)
-	for i in $(I18Ndirs); do\
-	    mkdir -p $(LOCALEDIR)/$$i/LC_MESSAGES;\
-	    cp $(PODIR)/$$i.mo $(LOCALEDIR)/$$i/LC_MESSAGES/vdr-$(PLUGIN).mo;\
-	    done
+$(I18Nmsgs): $(LOCALEDIR)/%/LC_MESSAGES/vdr-$(PLUGIN).mo: $(PODIR)/%.mo
+	@mkdir -p $(dir $@)
+	cp $< $@
+
+.PHONY: i18n
+i18n: $(I18Nmsgs)
 
 ### Targets:
 
diff -ruN vdr-1.5.10/PLUGINS/src/skincurses/Makefile vdr-1.5.11/PLUGINS/src/skincurses/Makefile
--- vdr-1.5.10/PLUGINS/src/skincurses/Makefile	2007-10-14 11:23:25.000000000 +0200
+++ vdr-1.5.11/PLUGINS/src/skincurses/Makefile	2007-11-04 11:52:13.000000000 +0100
@@ -1,7 +1,7 @@
 #
 # Makefile for a Video Disk Recorder plugin
 #
-# $Id: Makefile 1.13 2007/10/14 09:23:25 kls Exp $
+# $Id: Makefile 1.14 2007/11/04 10:52:13 kls Exp $
 
 # The official name of this plugin.
 # This name will be used in the '-P...' option of VDR to load the plugin.
@@ -70,25 +70,25 @@
 PODIR     = po
 LOCALEDIR = $(VDRDIR)/locale
 I18Npo    = $(wildcard $(PODIR)/*.po)
-I18Nmo    = $(addsuffix .mo, $(foreach file, $(I18Npo), $(basename $(file))))
-I18Ndirs  = $(notdir $(foreach file, $(I18Npo), $(basename $(file))))
+I18Nmsgs  = $(addprefix $(LOCALEDIR)/, $(addsuffix /LC_MESSAGES/vdr-$(PLUGIN).mo, $(notdir $(foreach file, $(I18Npo), $(basename $(file))))))
 I18Npot   = $(PODIR)/$(PLUGIN).pot
 
 %.mo: %.po
 	msgfmt -c -o $@ $<
 
 $(I18Npot): $(wildcard *.c)
-	xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --msgid-bugs-address='<vdr-bugs@cadsoft.de>' -o $@ $(wildcard *.c)
+	xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --msgid-bugs-address='<vdr-bugs@cadsoft.de>' -o $@ $^
 
-$(I18Npo): $(I18Npot)
+%.po: $(I18Npot)
 	msgmerge -U --no-wrap --no-location --backup=none -q $@ $<
+	@touch $@
 
-i18n: $(I18Npot) $(I18Nmo)
-	@mkdir -p $(LOCALEDIR)
-	for i in $(I18Ndirs); do\
-	    mkdir -p $(LOCALEDIR)/$$i/LC_MESSAGES;\
-	    cp $(PODIR)/$$i.mo $(LOCALEDIR)/$$i/LC_MESSAGES/vdr-$(PLUGIN).mo;\
-	    done
+$(I18Nmsgs): $(LOCALEDIR)/%/LC_MESSAGES/vdr-$(PLUGIN).mo: $(PODIR)/%.mo
+	@mkdir -p $(dir $@)
+	cp $< $@
+
+.PHONY: i18n
+i18n: $(I18Nmsgs)
 
 ### Targets:
 
diff -ruN vdr-1.5.10/config.h vdr-1.5.11/config.h
--- vdr-1.5.10/config.h	2007-10-06 16:27:18.000000000 +0200
+++ vdr-1.5.11/config.h	2007-10-17 20:34:17.000000000 +0200
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: config.h 1.299 2007/10/06 14:27:18 kls Exp $
+ * $Id: config.h 1.300 2007/10/17 18:34:17 kls Exp $
  */
 
 #ifndef __CONFIG_H
@@ -22,13 +22,13 @@
 
 // VDR's own version number:
 
-#define VDRVERSION  "1.5.10"
-#define VDRVERSNUM   10510  // Version * 10000 + Major * 100 + Minor
+#define VDRVERSION  "1.5.11"
+#define VDRVERSNUM   10511  // Version * 10000 + Major * 100 + Minor
 
 // The plugin API's version number:
 
-#define APIVERSION  "1.5.10"
-#define APIVERSNUM   10510  // Version * 10000 + Major * 100 + Minor
+#define APIVERSION  "1.5.11"
+#define APIVERSNUM   10511  // Version * 10000 + Major * 100 + Minor
 
 // When loading plugins, VDR searches them by their APIVERSION, which
 // may be smaller than VDRVERSION in case there have been no changes to
diff -ruN vdr-1.5.10/device.c vdr-1.5.11/device.c
--- vdr-1.5.10/device.c	2007-10-14 15:09:19.000000000 +0200
+++ vdr-1.5.11/device.c	2007-11-03 14:30:09.000000000 +0100
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: device.c 1.145 2007/10/14 13:09:19 kls Exp $
+ * $Id: device.c 1.147 2007/11/03 13:30:09 kls Exp $
  */
 
 #include "device.h"
@@ -209,6 +209,9 @@
 // The default priority for non-primary devices:
 #define DEFAULTPRIORITY  -1
 
+// The minimum number of unknown PS1 packets to consider this a "pre 1.3.19 private stream":
+#define MIN_PRE_1_3_19_PRIVATESTREAM 10
+
 int cDevice::numDevices = 0;
 int cDevice::useDevice = 0;
 int cDevice::nextCardIndex = 0;
@@ -931,7 +934,7 @@
         }
      else
         memset(availableTracks, 0, sizeof(availableTracks));
-     pre_1_3_19_PrivateStream = false;
+     pre_1_3_19_PrivateStream = 0;
      SetAudioChannel(0); // fall back to stereo
      currentAudioTrackMissingCount = 0;
      currentAudioTrack = ttNone;
@@ -1236,7 +1239,7 @@
                int PayloadOffset = Data[8] + 9;
 
                // Compatibility mode for old subtitles plugin:
-               if ((Data[PayloadOffset - 3] & 0x81) == 1 && Data[PayloadOffset - 2] == 0x81)
+               if ((Data[7] & 0x01) && (Data[PayloadOffset - 3] & 0x81) == 0x01 && Data[PayloadOffset - 2] == 0x81)
                   PayloadOffset--;
 
                uchar SubStreamId = Data[PayloadOffset];
@@ -1245,11 +1248,13 @@
 
                // Compatibility mode for old VDR recordings, where 0xBD was only AC3:
 pre_1_3_19_PrivateStreamDeteced:
-               if (pre_1_3_19_PrivateStream) {
+               if (pre_1_3_19_PrivateStream > MIN_PRE_1_3_19_PRIVATESTREAM) {
                   SubStreamId = c;
                   SubStreamType = 0x80;
                   SubStreamIndex = 0;
                   }
+               else if (pre_1_3_19_PrivateStream)
+                  pre_1_3_19_PrivateStream--; // every known PS1 packet counts down towards 0 to recover from glitches...
                switch (SubStreamType) {
                  case 0x20: // SPU
                  case 0x30: // SPU
@@ -1277,11 +1282,14 @@
                       break;
                  default:
                       // Compatibility mode for old VDR recordings, where 0xBD was only AC3:
-                      if (!pre_1_3_19_PrivateStream) {
-                         dsyslog("switching to pre 1.3.19 Dolby Digital compatibility mode");
-                         ClrAvailableTracks();
-                         pre_1_3_19_PrivateStream = true;
-                         goto pre_1_3_19_PrivateStreamDeteced;
+                      if (pre_1_3_19_PrivateStream <= MIN_PRE_1_3_19_PRIVATESTREAM) {
+                         dsyslog("unknown PS1 packet, substream id = %02X (counter is at %d)", SubStreamId, pre_1_3_19_PrivateStream);
+                         pre_1_3_19_PrivateStream += 2; // ...and every unknown PS1 packet counts up (the very first one counts twice, but that's ok)
+                         if (pre_1_3_19_PrivateStream > MIN_PRE_1_3_19_PRIVATESTREAM) {
+                            dsyslog("switching to pre 1.3.19 Dolby Digital compatibility mode - substream id = %02X", SubStreamId);
+                            ClrAvailableTracks();
+                            goto pre_1_3_19_PrivateStreamDeteced;
+                            }
                          }
                  }
                }
diff -ruN vdr-1.5.10/device.h vdr-1.5.11/device.h
--- vdr-1.5.10/device.h	2007-10-14 15:09:12.000000000 +0200
+++ vdr-1.5.11/device.h	2007-10-21 11:21:52.000000000 +0200
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: device.h 1.85 2007/10/14 13:09:12 kls Exp $
+ * $Id: device.h 1.86 2007/10/21 09:21:52 kls Exp $
  */
 
 #ifndef __DEVICE_H
@@ -377,7 +377,7 @@
   cMutex mutexCurrentSubtitleTrack;
   int currentAudioTrackMissingCount;
   bool autoSelectPreferredSubtitleLanguage;
-  bool pre_1_3_19_PrivateStream;
+  int pre_1_3_19_PrivateStream;
 protected:
   virtual void SetAudioTrackDevice(eTrackType Type);
        ///< Sets the current audio track to the given value.
diff -ruN vdr-1.5.10/dvbsubtitle.c vdr-1.5.11/dvbsubtitle.c
--- vdr-1.5.10/dvbsubtitle.c	2007-10-14 16:02:35.000000000 +0200
+++ vdr-1.5.11/dvbsubtitle.c	2007-11-03 15:36:07.000000000 +0100
@@ -7,7 +7,7 @@
  * Original author: Marco Schller <marco@lordzodiac.de>
  * With some input from the "subtitle plugin" by Pekka Virtanen <pekka.virtanen@sci.fi>
  *
- * $Id: dvbsubtitle.c 1.1 2007/10/14 14:02:35 kls Exp $
+ * $Id: dvbsubtitle.c 1.2 2007/11/03 14:36:07 kls Exp $
  */
 
 #include "dvbsubtitle.h"
@@ -692,7 +692,7 @@
      bool ResetSubtitleAssembler = Data[PayloadOffset + 3] == 0x00;
 
      // Compatibility mode for old subtitles plugin:
-     if ((Data[PayloadOffset - 3] & 0x81) == 1 && Data[PayloadOffset - 2] == 0x81) {
+     if ((Data[7] & 0x01) && (Data[PayloadOffset - 3] & 0x81) == 0x01 && Data[PayloadOffset - 2] == 0x81) {
         PayloadOffset--;
         SubstreamHeaderLength = 1;
         ResetSubtitleAssembler = Data[8] >= 5;
@@ -730,8 +730,8 @@
                     break;
                  }
            }
-        return Length;
         }
+     return Length;
      }
   return 0;
 }
@@ -767,7 +767,7 @@
               //TODO sync on PTS? are there actually devices that don't deliver an STC?
               }
            Delta /= 90; // STC and PTS are in 1/90000s
-           if (abs(Delta) <= MAXDELTA) {
+           if (Delta <= MAXDELTA) {
               if (Delta <= 0) {
                  dbgconverter("Got %d bitmaps, showing #%d\n", bitmaps->Count(), sb->Index() + 1);
                  if (AssertOsd()) {
@@ -777,8 +777,8 @@
                     }
                  bitmaps->Del(sb);
                  }
-              else
-                 WaitMs = min(max(Delta, int64_t(0)), int64_t(1000));
+              else if (Delta < WaitMs)
+                 WaitMs = Delta;
               }
            else
               bitmaps->Del(sb);
@@ -830,6 +830,8 @@
         pages->Add(page);
         dbgpages("Create SubtitlePage %d  (total pages = %d)\n", pageId, pages->Count());
         }
+     if (Pts)
+        page->SetPts(Pts);
      switch (segmentType) {
        case PAGE_COMPOSITION_SEGMENT: {
             dbgsegments("PAGE_COMPOSITION_SEGMENT\n");
@@ -837,8 +839,6 @@
             if (pageVersion == page->Version())
                break; // no update
             page->SetVersion(pageVersion);
-            if (Pts)
-               page->SetPts(Pts);
             page->SetTimeout(Data[6]);
             page->SetState((Data[6 + 1] & 0x0C) >> 2);
             page->regions.Clear();
@@ -968,6 +968,7 @@
             dbgsegments("END_OF_DISPLAY_SET_SEGMENT\n");
             FinishPage(page);
             }
+            break;
        default:
             dbgsegments("*** unknown segment type: %02X\n", segmentType);
        }
diff -ruN vdr-1.5.10/font.c vdr-1.5.11/font.c
--- vdr-1.5.10/font.c	2007-06-23 13:25:42.000000000 +0200
+++ vdr-1.5.11/font.c	2007-11-04 12:08:12.000000000 +0100
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: font.c 1.21 2007/06/23 11:25:42 kls Exp $
+ * $Id: font.c 1.22 2007/11/04 11:08:12 kls Exp $
  */
 
 #include "font.h"
@@ -395,17 +395,21 @@
      FcConfigSubstitute(NULL, pat, FcMatchPattern);
      FcDefaultSubstitute(pat);
      FcFontSet *fontset = FcFontSort(NULL, pat, FcFalse, NULL, NULL);
-     for (int i = 0; i < fontset->nfont; i++) {
-         FcBool scalable;
-         FcPatternGetBool(fontset->fonts[i], FC_SCALABLE, 0, &scalable);
-         if (scalable) {
-            FcChar8 *s = NULL;
-            FcPatternGetString(fontset->fonts[i], FC_FILE, 0, &s);
-            FontFileName = (char *)s;
-            break;
+     if (fontset) {
+        for (int i = 0; i < fontset->nfont; i++) {
+            FcBool scalable;
+            FcPatternGetBool(fontset->fonts[i], FC_SCALABLE, 0, &scalable);
+            if (scalable) {
+               FcChar8 *s = NULL;
+               FcPatternGetString(fontset->fonts[i], FC_FILE, 0, &s);
+               FontFileName = (char *)s;
+               break;
+               }
             }
-         }
-     FcFontSetDestroy(fontset);
+        FcFontSetDestroy(fontset);
+        }
+     else
+        esyslog("ERROR: no usable font found for '%s'", FontName);
      FcPatternDestroy(pat);
      free(fn);
      FcFini();
diff -ruN vdr-1.5.10/i18n-to-gettext.pl vdr-1.5.11/i18n-to-gettext.pl
--- vdr-1.5.10/i18n-to-gettext.pl	2007-10-14 16:14:22.000000000 +0200
+++ vdr-1.5.11/i18n-to-gettext.pl	2007-11-04 11:57:36.000000000 +0100
@@ -10,7 +10,7 @@
 # See the main source file 'vdr.c' for copyright information and
 # how to reach the author.
 #
-# $Id: i18n-to-gettext.pl 1.5 2007/10/14 14:14:22 kls Exp $
+# $Id: i18n-to-gettext.pl 1.6 2007/11/04 10:57:36 kls Exp $
 
 # How to convert an actual plugin:
 #
@@ -306,25 +306,25 @@
 PODIR     = po
 LOCALEDIR = $(VDRDIR)/locale
 I18Npo    = $(wildcard $(PODIR)/*.po)
-I18Nmo    = $(addsuffix .mo, $(foreach file, $(I18Npo), $(basename $(file))))
-I18Ndirs  = $(notdir $(foreach file, $(I18Npo), $(basename $(file))))
+I18Nmsgs  = $(addprefix $(LOCALEDIR)/, $(addsuffix /LC_MESSAGES/vdr-$(PLUGIN).mo, $(notdir $(foreach file, $(I18Npo), $(basename $(file))))))
 I18Npot   = $(PODIR)/$(PLUGIN).pot
 
 %.mo: %.po
 	msgfmt -c -o $@ $<
 
 $(I18Npot): $(wildcard *.c)
-	xgettext -C -cTRANSLATORS --no-wrap -F -k -ktr -ktrNOOP --msgid-bugs-address='<} . $MSGIDBUGS . q{>' -o $@ $(wildcard *.c)
+	xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --msgid-bugs-address='<} . $MSGIDBUGS . q{>' -o $@ $^
 
-$(I18Npo): $(I18Npot)
-	msgmerge -U --no-wrap -F --backup=none -q $@ $<
+%.po: $(I18Npot)
+	msgmerge -U --no-wrap --no-location --backup=none -q $@ $<
+	@touch $@
+
+$(I18Nmsgs): $(LOCALEDIR)/%/LC_MESSAGES/vdr-$(PLUGIN).mo: $(PODIR)/%.mo
+	@mkdir -p $(dir $@)
+	cp $< $@
 
-i18n: $(I18Npot) $(I18Nmo)
-	@mkdir -p $(LOCALEDIR)
-	for i in $(I18Ndirs); do\
-	    mkdir -p $(LOCALEDIR)/$$i/LC_MESSAGES;\
-	    cp $(PODIR)/$$i.mo $(LOCALEDIR)/$$i/LC_MESSAGES/vdr-$(PLUGIN).mo;\
-	    done
+.PHONY: i18n
+i18n: $(I18Nmsgs)
 
 };
 
diff -ruN vdr-1.5.10/i18n.c vdr-1.5.11/i18n.c
--- vdr-1.5.10/i18n.c	2007-08-24 16:03:47.000000000 +0200
+++ vdr-1.5.11/i18n.c	2007-11-01 11:38:27.000000000 +0100
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: i18n.c 1.317 2007/08/24 14:03:47 kls Exp $
+ * $Id: i18n.c 1.318 2007/11/01 10:38:27 kls Exp $
  *
  *
  */
@@ -59,6 +59,7 @@
   "dan",
   "cze,ces",
   "tur",
+  "ukr",
   NULL
   };
 
diff -ruN vdr-1.5.10/menu.c vdr-1.5.11/menu.c
--- vdr-1.5.10/menu.c	2007-10-13 12:10:20.000000000 +0200
+++ vdr-1.5.11/menu.c	2007-11-03 16:02:00.000000000 +0100
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: menu.c 1.463 2007/10/13 10:10:20 kls Exp $
+ * $Id: menu.c 1.465 2007/11/03 15:02:00 kls Exp $
  */
 
 #include "menu.h"
@@ -251,7 +251,7 @@
 
   // Parameters for all types of sources:
   strn0cpy(name, data.name, sizeof(name));
-  Add(new cMenuEditStrItem( tr("Name"),          name, sizeof(name), tr(FileNameChars)));
+  Add(new cMenuEditStrItem( tr("Name"),          name, sizeof(name)));
   Add(new cMenuEditSrcItem( tr("Source"),       &data.source));
   Add(new cMenuEditIntItem( tr("Frequency"),    &data.frequency));
   Add(new cMenuEditIntItem( tr("Vpid"),         &data.vpid,  0, 0x1FFF));
@@ -671,7 +671,7 @@
      Add(new cMenuEditBitItem( tr("VPS"),          &data.flags, tfVps));
      Add(new cMenuEditIntItem( tr("Priority"),     &data.priority, 0, MAXPRIORITY));
      Add(new cMenuEditIntItem( tr("Lifetime"),     &data.lifetime, 0, MAXLIFETIME));
-     Add(new cMenuEditStrItem( tr("File"),          data.file, sizeof(data.file), tr(FileNameChars)));
+     Add(new cMenuEditStrItem( tr("File"),          data.file, sizeof(data.file)));
      SetFirstDayItem();
      }
   Timers.IncBeingEdited();
@@ -2107,6 +2107,7 @@
 
   if (state == osUnknown) {
      switch (Key) {
+       case kPlay:
        case kOk:     return Play();
        case kRed:    return (helpKeys > 1 && RecordingCommands.Count()) ? Commands() : Play();
        case kGreen:  return Rewind();
@@ -2712,7 +2713,7 @@
   Add(new cMenuEditBoolItem(tr("Setup.Recording$Use VPS"),                   &data.UseVps));
   Add(new cMenuEditIntItem( tr("Setup.Recording$VPS margin (s)"),            &data.VpsMargin, 0));
   Add(new cMenuEditBoolItem(tr("Setup.Recording$Mark instant recording"),    &data.MarkInstantRecord));
-  Add(new cMenuEditStrItem( tr("Setup.Recording$Name instant recording"),     data.NameInstantRecord, sizeof(data.NameInstantRecord), tr(FileNameChars)));
+  Add(new cMenuEditStrItem( tr("Setup.Recording$Name instant recording"),     data.NameInstantRecord, sizeof(data.NameInstantRecord)));
   Add(new cMenuEditIntItem( tr("Setup.Recording$Instant rec. time (min)"),   &data.InstantRecordTime, 1, MAXINSTANTRECTIME));
   Add(new cMenuEditIntItem( tr("Setup.Recording$Max. video file size (MB)"), &data.MaxVideoFileSize, MINVIDEOFILESIZE, MAXVIDEOFILESIZE));
   Add(new cMenuEditBoolItem(tr("Setup.Recording$Split edited files"),        &data.SplitEditedFiles));
diff -ruN vdr-1.5.10/menuitems.c vdr-1.5.11/menuitems.c
--- vdr-1.5.10/menuitems.c	2007-10-13 14:05:37.000000000 +0200
+++ vdr-1.5.11/menuitems.c	2007-11-03 16:01:01.000000000 +0100
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: menuitems.c 1.53 2007/10/13 12:05:37 kls Exp $
+ * $Id: menuitems.c 1.55 2007/11/03 15:01:01 kls Exp $
  */
 
 #include "menuitems.h"
@@ -18,7 +18,7 @@
 
 #define AUTO_ADVANCE_TIMEOUT  1500 // ms before auto advance when entering characters via numeric keys
 
-const char *FileNameChars = trNOOP(" abcdefghijklmnopqrstuvwxyz0123456789-.#~,/_@");
+const char *FileNameChars = trNOOP("FileNameChars$ abcdefghijklmnopqrstuvwxyz0123456789-.,#~\\^$[]|()*+?{}/:%@&");
 
 // --- cMenuEditItem ---------------------------------------------------------
 
@@ -256,7 +256,7 @@
 {
   value = Value;
   length = Length;
-  allowed = Allowed;
+  allowed = Allowed ? Allowed : tr(FileNameChars);
   pos = -1;
   offset = 0;
   insert = uppercase = false;
@@ -285,7 +285,7 @@
      int l = strlen(allowed) + 1;
      allowedUtf8 = new uint[l];
      Utf8ToArray(allowed, allowedUtf8, l);
-     const char *charMap = tr(" 0\t-.#~,/_@1\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9");
+     const char *charMap = tr("CharMap$ 0\t-.,1#~\\^$[]|()*+?{}/:%@&\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9");
      l = strlen(charMap) + 1;
      charMapUtf8 = new uint[l];
      Utf8ToArray(charMap, charMapUtf8, l);
diff -ruN vdr-1.5.10/menuitems.h vdr-1.5.11/menuitems.h
--- vdr-1.5.10/menuitems.h	2007-06-08 13:53:37.000000000 +0200
+++ vdr-1.5.11/menuitems.h	2007-11-03 15:59:47.000000000 +0100
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: menuitems.h 1.21 2007/06/08 11:53:37 kls Exp $
+ * $Id: menuitems.h 1.22 2007/11/03 14:59:47 kls Exp $
  */
 
 #ifndef __MENUITEMS_H
@@ -101,7 +101,7 @@
   void LeaveEditMode(bool SaveValue = false);
   bool InEditMode(void) { return valueUtf8 != NULL; }
 public:
-  cMenuEditStrItem(const char *Name, char *Value, int Length, const char *Allowed);
+  cMenuEditStrItem(const char *Name, char *Value, int Length, const char *Allowed = NULL);
   ~cMenuEditStrItem();
   virtual eOSState ProcessKey(eKeys Key);
   };
diff -ruN vdr-1.5.10/newplugin vdr-1.5.11/newplugin
--- vdr-1.5.10/newplugin	2007-10-14 11:13:17.000000000 +0200
+++ vdr-1.5.11/newplugin	2007-11-04 11:42:52.000000000 +0100
@@ -12,7 +12,7 @@
 # See the main source file 'vdr.c' for copyright information and
 # how to reach the author.
 #
-# $Id: newplugin 1.38 2007/10/14 09:13:17 kls Exp $
+# $Id: newplugin 1.39 2007/11/04 10:42:52 kls Exp $
 
 $PLUGIN_NAME = $ARGV[0] || die "Usage: newplugin <name>\n";
 
@@ -131,25 +131,25 @@
 PODIR     = po
 LOCALEDIR = \$(VDRDIR)/locale
 I18Npo    = \$(wildcard \$(PODIR)/*.po)
-I18Nmo    = \$(addsuffix .mo, \$(foreach file, \$(I18Npo), \$(basename \$(file))))
-I18Ndirs  = \$(notdir \$(foreach file, \$(I18Npo), \$(basename \$(file))))
+I18Nmsgs  = \$(addprefix \$(LOCALEDIR)/, \$(addsuffix /LC_MESSAGES/vdr-\$(PLUGIN).mo, \$(notdir \$(foreach file, \$(I18Npo), \$(basename \$(file))))))
 I18Npot   = \$(PODIR)/\$(PLUGIN).pot
 
 %.mo: %.po
 	msgfmt -c -o \$\@ \$<
 
 \$(I18Npot): \$(wildcard *.c)
-	xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --msgid-bugs-address='<see README>' -o \$\@ \$(wildcard *.c)
+	xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --msgid-bugs-address='<see README>' -o \$\@ \$^
 
-\$(I18Npo): \$(I18Npot)
+%.po: \$(I18Npot)
 	msgmerge -U --no-wrap --no-location --backup=none -q \$\@ \$<
+	\@touch \$\@
 
-i18n: \$(I18Npot) \$(I18Nmo)
-	\@mkdir -p \$(LOCALEDIR)
-	for i in \$(I18Ndirs); do\\
-	    mkdir -p \$(LOCALEDIR)/\$\$i/LC_MESSAGES;\\
-	    cp \$(PODIR)/\$\$i.mo \$(LOCALEDIR)/\$\$i/LC_MESSAGES/vdr-\$(PLUGIN).mo;\\
-	    done
+\$(I18Nmsgs): \$(LOCALEDIR)/%/LC_MESSAGES/vdr-\$(PLUGIN).mo: \$(PODIR)/%.mo
+	\@mkdir -p \$(dir \$@)
+	cp \$< \$\@
+
+.PHONY: i18n
+i18n: \$(I18Nmsgs)
 
 ### Targets:
 
diff -ruN vdr-1.5.10/osdbase.h vdr-1.5.11/osdbase.h
--- vdr-1.5.10/osdbase.h	2007-06-09 13:49:00.000000000 +0200
+++ vdr-1.5.11/osdbase.h	2007-11-03 15:50:52.000000000 +0100
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: osdbase.h 1.16 2007/06/09 11:49:00 kls Exp $
+ * $Id: osdbase.h 1.17 2007/11/03 14:50:52 kls Exp $
  */
 
 #ifndef __OSDBASE_H
@@ -57,11 +57,11 @@
   cOsdItem(eOSState State = osUnknown);
   cOsdItem(const char *Text, eOSState State = osUnknown, bool Selectable = true);
   virtual ~cOsdItem();
-  bool Selectable(void) { return selectable; }
+  bool Selectable(void) const { return selectable; }
   void SetText(const char *Text, bool Copy = true);
   void SetSelectable(bool Selectable);
   void SetFresh(bool Fresh);
-  const char *Text(void) { return text; }
+  const char *Text(void) const { return text; }
   virtual void Set(void) {}
   virtual eOSState ProcessKey(eKeys Key);
   };
@@ -77,7 +77,7 @@
   cOsdObject(bool FastResponse = false) { isMenu = false; needsFastResponse = FastResponse; }
   virtual ~cOsdObject() {}
   virtual bool NeedsFastResponse(void) { return needsFastResponse; }
-  bool IsMenu(void) { return isMenu; }
+  bool IsMenu(void) const { return isMenu; }
   virtual void Show(void);
   virtual eOSState ProcessKey(eKeys Key) { return osUnknown; }
   };
@@ -124,7 +124,7 @@
   cOsdMenu(const char *Title, int c0 = 0, int c1 = 0, int c2 = 0, int c3 = 0, int c4 = 0);
   virtual ~cOsdMenu();
   virtual bool NeedsFastResponse(void) { return subMenu ? subMenu->NeedsFastResponse() : cOsdObject::NeedsFastResponse(); }
-  int Current(void) { return current; }
+  int Current(void) const { return current; }
   void Add(cOsdItem *Item, bool Current = false, cOsdItem *After = NULL);
   void Ins(cOsdItem *Item, bool Current = false, cOsdItem *Before = NULL);
   virtual void Display(void);
diff -ruN vdr-1.5.10/po/ca_ES.po vdr-1.5.11/po/ca_ES.po
--- vdr-1.5.10/po/ca_ES.po	2007-10-14 11:31:44.000000000 +0200
+++ vdr-1.5.11/po/ca_ES.po	2007-11-04 11:52:41.000000000 +0100
@@ -872,13 +872,13 @@
 msgid "Editing process already active!"
 msgstr "Procs d'edici iniciat anteriorment!"
 
-msgid " abcdefghijklmnopqrstuvwxyz0123456789-.#~,/_@"
-msgstr " abcdefghijklmnopqrstuvwxyz0123456789-.#~,/_@"
+msgid "FileNameChars$ abcdefghijklmnopqrstuvwxyz0123456789-.,#~\\^$[]|()*+?{}/:%@&"
+msgstr " abcdefghijklmnopqrstuvwxyz0123456789-.,#~\\^$[]|()*+?{}/:%@&"
 
 msgid "yes"
 msgstr "s"
 
-msgid " 0\t-.#~,/_@1\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
+msgid "CharMap$ 0\t-.,1#~\\^$[]|()*+?{}/:%@&\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
 msgstr ""
 
 msgid "Button$ABC/abc"
diff -ruN vdr-1.5.10/po/cs_CZ.po vdr-1.5.11/po/cs_CZ.po
--- vdr-1.5.10/po/cs_CZ.po	2007-10-13 11:34:56.000000000 +0200
+++ vdr-1.5.11/po/cs_CZ.po	2007-11-04 11:52:41.000000000 +0100
@@ -870,14 +870,14 @@
 msgid "Editing process already active!"
 msgstr "Editan proces je ji aktivn!"
 
-msgid " abcdefghijklmnopqrstuvwxyz0123456789-.#~,/_@"
-msgstr " abcdefghijklmnopqrstuvwxyz0123456789-.#~,/_@"
+msgid "FileNameChars$ abcdefghijklmnopqrstuvwxyz0123456789-.,#~\\^$[]|()*+?{}/:%@&"
+msgstr " abcdefghijklmnopqrstuvwxyz0123456789-.,#~\\^$[]|()*+?{}/:%@&"
 
 msgid "yes"
 msgstr "ano"
 
-msgid " 0\t-.#~,/_@1\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
-msgstr " 0\t-.#~,/_@1\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
+msgid "CharMap$ 0\t-.,1#~\\^$[]|()*+?{}/:%@&\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
+msgstr " 0\t-.,1#~\\^$[]|()*+?{}/:%@&\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
 
 msgid "Button$ABC/abc"
 msgstr "ABC/abc"
diff -ruN vdr-1.5.10/po/da_DK.po vdr-1.5.11/po/da_DK.po
--- vdr-1.5.10/po/da_DK.po	2007-10-13 11:36:19.000000000 +0200
+++ vdr-1.5.11/po/da_DK.po	2007-11-04 11:52:41.000000000 +0100
@@ -870,14 +870,14 @@
 msgid "Editing process already active!"
 msgstr "Redigeringsproces er allerede aktiv!"
 
-msgid " abcdefghijklmnopqrstuvwxyz0123456789-.#~,/_@"
-msgstr " abcdefghijklmnopqrstuvwxyz0123456789-.#~,/_@"
+msgid "FileNameChars$ abcdefghijklmnopqrstuvwxyz0123456789-.,#~\\^$[]|()*+?{}/:%@&"
+msgstr " abcdefghijklmnopqrstuvwxyz0123456789-.,#~\\^$[]|()*+?{}/:%@&"
 
 msgid "yes"
 msgstr "ja"
 
-msgid " 0\t-.#~,/_@1\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
-msgstr " 0\t-.#~,/_@1\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
+msgid "CharMap$ 0\t-.,1#~\\^$[]|()*+?{}/:%@&\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
+msgstr " 0\t-.,1#~\\^$[]|()*+?{}/:%@&\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
 
 msgid "Button$ABC/abc"
 msgstr "ABC/abc"
diff -ruN vdr-1.5.10/po/de_DE.po vdr-1.5.11/po/de_DE.po
--- vdr-1.5.10/po/de_DE.po	2007-10-14 11:34:26.000000000 +0200
+++ vdr-1.5.11/po/de_DE.po	2007-11-04 11:52:41.000000000 +0100
@@ -870,14 +870,14 @@
 msgid "Editing process already active!"
 msgstr "Schnitt bereits aktiv!"
 
-msgid " abcdefghijklmnopqrstuvwxyz0123456789-.#~,/_@"
-msgstr " abcdefghijklmnopqrstuvwxyz0123456789-.#~,/_@"
+msgid "FileNameChars$ abcdefghijklmnopqrstuvwxyz0123456789-.,#~\\^$[]|()*+?{}/:%@&"
+msgstr " abcdefghijklmnopqrstuvwxyz0123456789-.,#~\\^$[]|()*+?{}/:%@&"
 
 msgid "yes"
 msgstr "ja"
 
-msgid " 0\t-.#~,/_@1\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
-msgstr " 0\t-.#~,/_@1\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
+msgid "CharMap$ 0\t-.,1#~\\^$[]|()*+?{}/:%@&\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
+msgstr " 0\t-.,1#~\\^$[]|()*+?{}/:%@&\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
 
 msgid "Button$ABC/abc"
 msgstr "ABC/abc"
diff -ruN vdr-1.5.10/po/el_GR.po vdr-1.5.11/po/el_GR.po
--- vdr-1.5.10/po/el_GR.po	2007-10-13 11:36:42.000000000 +0200
+++ vdr-1.5.11/po/el_GR.po	2007-11-04 11:52:41.000000000 +0100
@@ -870,13 +870,13 @@
 msgid "Editing process already active!"
 msgstr "   !"
 
-msgid " abcdefghijklmnopqrstuvwxyz0123456789-.#~,/_@"
-msgstr " 0123456789-.#~,/_@abcdefghijklmnopqrstuvwxyz"
+msgid "FileNameChars$ abcdefghijklmnopqrstuvwxyz0123456789-.,#~\\^$[]|()*+?{}/:%@&"
+msgstr " 0123456789-.,#~\\^$[]|()*+?{}/:%@&abcdefghijklmnopqrstuvwxyz"
 
 msgid "yes"
 msgstr ""
 
-msgid " 0\t-.#~,/_@1\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
+msgid "CharMap$ 0\t-.,1#~\\^$[]|()*+?{}/:%@&\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
 msgstr ""
 
 msgid "Button$ABC/abc"
diff -ruN vdr-1.5.10/po/es_ES.po vdr-1.5.11/po/es_ES.po
--- vdr-1.5.10/po/es_ES.po	2007-10-13 11:36:50.000000000 +0200
+++ vdr-1.5.11/po/es_ES.po	2007-11-04 11:52:41.000000000 +0100
@@ -870,14 +870,14 @@
 msgid "Editing process already active!"
 msgstr "El proceso de edicin ya est activo!"
 
-msgid " abcdefghijklmnopqrstuvwxyz0123456789-.#~,/_@"
-msgstr " abcdefghijklmnopqrstuvwxyz0123456789-.#~,/_@"
+msgid "FileNameChars$ abcdefghijklmnopqrstuvwxyz0123456789-.,#~\\^$[]|()*+?{}/:%@&"
+msgstr " abcdefghijklmnopqrstuvwxyz0123456789-.,#~\\^$[]|()*+?{}/:%@&"
 
 msgid "yes"
 msgstr "s"
 
-msgid " 0\t-.#~,/_@1\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
-msgstr " 0\t-.#~,/_@1\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
+msgid "CharMap$ 0\t-.,1#~\\^$[]|()*+?{}/:%@&\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
+msgstr " 0\t-.,1#~\\^$[]|()*+?{}/:%@&\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
 
 msgid "Button$ABC/abc"
 msgstr "ABC/abc"
diff -ruN vdr-1.5.10/po/et_EE.po vdr-1.5.11/po/et_EE.po
--- vdr-1.5.10/po/et_EE.po	2007-10-13 11:36:58.000000000 +0200
+++ vdr-1.5.11/po/et_EE.po	2007-11-04 11:52:41.000000000 +0100
@@ -166,7 +166,7 @@
 msgstr "Audio"
 
 msgid "Key$Subtitles"
-msgstr ""
+msgstr "Subtiitrid"
 
 msgid "Key$Schedule"
 msgstr "Kava"
@@ -187,31 +187,31 @@
 msgstr "Ksud"
 
 msgid "Key$User1"
-msgstr ""
+msgstr "Lisaklahv1"
 
 msgid "Key$User2"
-msgstr ""
+msgstr "Lisaklahv2"
 
 msgid "Key$User3"
-msgstr ""
+msgstr "Lisaklahv3"
 
 msgid "Key$User4"
-msgstr ""
+msgstr "Lisaklahv4"
 
 msgid "Key$User5"
-msgstr ""
+msgstr "Lisaklahv5"
 
 msgid "Key$User6"
-msgstr ""
+msgstr "Lisaklahv6"
 
 msgid "Key$User7"
-msgstr ""
+msgstr "Lisaklahv7"
 
 msgid "Key$User8"
-msgstr ""
+msgstr "Lisaklahv8"
 
 msgid "Key$User9"
-msgstr ""
+msgstr "Lisaklahv9"
 
 msgid "Free To Air"
 msgstr "FTA"
@@ -253,10 +253,10 @@
 msgstr "Dpid2"
 
 msgid "Spid1"
-msgstr ""
+msgstr "Spid1"
 
 msgid "Spid2"
-msgstr ""
+msgstr "Spid2"
 
 msgid "Tpid"
 msgstr "Tpid"
@@ -283,7 +283,7 @@
 msgstr "CoderateH"
 
 msgid "none"
-msgstr "thi"
+msgstr "puudu"
 
 msgid "CoderateL"
 msgstr "CoderateL"
@@ -397,7 +397,7 @@
 msgstr "Tulekul"
 
 msgid "Button$Now"
-msgstr "Nd"
+msgstr "Hetkel"
 
 msgid "Button$Schedule"
 msgstr "Ajakava"
@@ -457,7 +457,7 @@
 msgstr "Salvestuse ksud"
 
 msgid "never"
-msgstr "mitte kunagi"
+msgstr "ei"
 
 msgid "skin dependent"
 msgstr "kestast sltuv"
@@ -529,10 +529,10 @@
 msgstr "Kanaliinfo esitusaeg (s)"
 
 msgid "Setup.OSD$Info on channel switch"
-msgstr "Kanaliinfo nitamine"
+msgstr "Kanaliinfo kuvamine"
 
 msgid "Setup.OSD$Timeout requested channel info"
-msgstr "Kanaliinfo kuvamise ajapiirang"
+msgstr "Kanaliinfo ajapiirang"
 
 msgid "Setup.OSD$Scroll pages"
 msgstr "Leheklje kerimine"
@@ -556,7 +556,7 @@
 msgstr "EPG skaneerimise viide (h)"
 
 msgid "Setup.EPG$EPG bugfix level"
-msgstr "EPG veaparanduse tase"
+msgstr "EPG veaparandustase"
 
 msgid "Setup.EPG$EPG linger time (min)"
 msgstr "Vana EPG viide (min)"
@@ -565,7 +565,7 @@
 msgstr "Kella snkroniseerimine"
 
 msgid "Setup.EPG$Use time from transponder"
-msgstr "Kella snkroniseerimise transponder"
+msgstr "Snkroniseerimise transponder"
 
 #. TRANSLATORS: note the plural!
 msgid "Setup.EPG$Preferred languages"
@@ -588,19 +588,19 @@
 msgstr "ei"
 
 msgid "names only"
-msgstr "ainult nimed"
+msgstr "nimed"
 
 msgid "PIDs only"
-msgstr "ainult PID-id"
+msgstr "PID-id"
 
 msgid "names and PIDs"
-msgstr "nimi ja PID-id"
+msgstr "nimed ja PID-id"
 
 msgid "add new channels"
-msgstr "uute kanalite lisamine"
+msgstr "kanalite lisamine"
 
 msgid "add new transponders"
-msgstr "uute transponderite lisamine"
+msgstr "transponderite lisamine"
 
 msgid "DVB"
 msgstr "DVB"
@@ -627,22 +627,22 @@
 msgstr "Audio keel"
 
 msgid "Setup.DVB$Display subtitles"
-msgstr ""
+msgstr "Subtiitrite kuvamine"
 
 msgid "Setup.DVB$Subtitle languages"
-msgstr ""
+msgstr "Subtiitrite keeli"
 
 msgid "Setup.DVB$Subtitle language"
-msgstr ""
+msgstr "Subtiitri keel"
 
 msgid "Setup.DVB$Subtitle offset"
-msgstr ""
+msgstr "Subtiitrite nihe"
 
 msgid "Setup.DVB$Subtitle foreground transparency"
-msgstr ""
+msgstr "Subtiitri lbipaistvus"
 
 msgid "Setup.DVB$Subtitle background transparency"
-msgstr ""
+msgstr "Subtiitri tausta lbipaistvus"
 
 msgid "LNB"
 msgstr "LNB"
@@ -837,13 +837,13 @@
 msgstr "Audio kttesaamatu!"
 
 msgid "No subtitles"
-msgstr ""
+msgstr "Subtiitrid vljas"
 
 msgid "Button$Subtitles"
-msgstr ""
+msgstr "Subtiitrid"
 
 msgid "No subtitles available!"
-msgstr ""
+msgstr "Subtiitrid puuduvad"
 
 msgid "Not enough disk space to start recording!"
 msgstr "Ebapiisavalt kettaruumi salvestamise alustamiseks!"
@@ -870,14 +870,14 @@
 msgid "Editing process already active!"
 msgstr "Redigeerimine juba aktiivne!"
 
-msgid " abcdefghijklmnopqrstuvwxyz0123456789-.#~,/_@"
-msgstr " abcdefghijklmnopqrsztuvwxy0123456789-.#~,/_@"
+msgid "FileNameChars$ abcdefghijklmnopqrstuvwxyz0123456789-.,#~\\^$[]|()*+?{}/:%@&"
+msgstr " abcdefghijklmnopqrsztuvwxy0123456789-.,#~\\^$[]|()*+?{}/:%@&"
 
 msgid "yes"
 msgstr "jah"
 
-msgid " 0\t-.#~,/_@1\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
-msgstr " 0\t-.#~,/_@1\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
+msgid "CharMap$ 0\t-.,1#~\\^$[]|()*+?{}/:%@&\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
+msgstr " 0\t-.,1#~\\^$[]|()*+?{}/:%@&\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
 
 msgid "Button$ABC/abc"
 msgstr "ABC/abc"
@@ -904,7 +904,7 @@
 msgstr "Vljallitamine ebannestus - '-s' parameeter puudub!"
 
 msgid "Editing - shut down anyway?"
-msgstr "Redigeerimine aktiive - llitan vlja?"
+msgstr "Redigeerimine aktiive - llitada vlja?"
 
 msgid "Recording - shut down anyway?"
 msgstr "Salvestamine aktiivne - llitada vlja?"
@@ -921,7 +921,7 @@
 msgstr "Laiendusmoodul %s rkab %ld minuti prast, jtkata?"
 
 msgid "Editing - restart anyway?"
-msgstr "Redigeerimine aktiivne - taaskivitada?"
+msgstr "Redigeerimine aktiivne - restart?"
 
 msgid "Recording - restart anyway?"
 msgstr "Salvestamine aktiivne - restart?"
diff -ruN vdr-1.5.10/po/fi_FI.po vdr-1.5.11/po/fi_FI.po
--- vdr-1.5.10/po/fi_FI.po	2007-10-13 11:47:49.000000000 +0200
+++ vdr-1.5.11/po/fi_FI.po	2007-11-04 11:52:41.000000000 +0100
@@ -873,14 +873,14 @@
 msgid "Editing process already active!"
 msgstr "Muokkaus on jo kynniss!"
 
-msgid " abcdefghijklmnopqrstuvwxyz0123456789-.#~,/_@"
-msgstr " abcdefghijklmnopqrstuvwxyz0123456789-.#~,/_@"
+msgid "FileNameChars$ abcdefghijklmnopqrstuvwxyz0123456789-.,#~\\^$[]|()*+?{}/:%@&"
+msgstr " abcdefghijklmnopqrstuvwxyz0123456789-.,#~\\^$[]|()*+?{}/:%@&"
 
 msgid "yes"
 msgstr "kyll"
 
-msgid " 0\t-.#~,/_@1\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
-msgstr " 0\t-.#~,/_@1\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
+msgid "CharMap$ 0\t-.,1#~\\^$[]|()*+?{}/:%@&\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
+msgstr " 0\t-.,1#~\\^$[]|()*+?{}/:%@&\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
 
 msgid "Button$ABC/abc"
 msgstr "ABC/abc"
diff -ruN vdr-1.5.10/po/fr_FR.po vdr-1.5.11/po/fr_FR.po
--- vdr-1.5.10/po/fr_FR.po	2007-10-13 11:37:12.000000000 +0200
+++ vdr-1.5.11/po/fr_FR.po	2007-11-04 11:52:41.000000000 +0100
@@ -7,15 +7,16 @@
 # Nicolas Huillard <nhuillard@e-dition.fr>, 2005
 # Pierre Briec <pbriec@free.fr>, 2006
 # Bruno Roussel <bruno.roussel@free.fr>, 2007
+# Michael Nival <mnival@club-internet.fr>, 2007
 #
 msgid ""
 msgstr ""
 "Project-Id-Version: VDR 1.5.7\n"
 "Report-Msgid-Bugs-To: <vdr-bugs@cadsoft.de>\n"
 "POT-Creation-Date: 2007-10-13 11:29+0200\n"
-"PO-Revision-Date: 2007-08-17 13:45+0200\n"
-"Last-Translator: Bruno Roussel <bruno.roussel@free.fr>\n"
-"Language-Team: <vdr@linuxtv.org>\n"
+"PO-Revision-Date: 2007-10-18 16:12+0100\n"
+"Last-Translator: Michael Nival <mnival@club-internet.fr>\n"
+"Language-Team:  <vdr@linuxtv.org>\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=ISO-8859-1\n"
 "Content-Transfer-Encoding: 8bit\n"
@@ -171,7 +172,7 @@
 msgstr "Audio"
 
 msgid "Key$Subtitles"
-msgstr ""
+msgstr "Sous-Titres"
 
 msgid "Key$Schedule"
 msgstr "Programmes"
@@ -258,10 +259,10 @@
 msgstr "PID AC3 (2)"
 
 msgid "Spid1"
-msgstr ""
+msgstr "Sous-Titre (1)"
 
 msgid "Spid2"
-msgstr ""
+msgstr "Sous-Titre (2)"
 
 msgid "Tpid"
 msgstr "PID Tltexte"
@@ -632,22 +633,22 @@
 msgstr "Langue audio"
 
 msgid "Setup.DVB$Display subtitles"
-msgstr ""
+msgstr "Afficher les Sous-Titres"
 
 msgid "Setup.DVB$Subtitle languages"
-msgstr ""
+msgstr "Langues des Sous-Titres"
 
 msgid "Setup.DVB$Subtitle language"
-msgstr ""
+msgstr "Langue de Sous-Titre"
 
 msgid "Setup.DVB$Subtitle offset"
-msgstr ""
+msgstr "Offset du Sous-Titre"
 
 msgid "Setup.DVB$Subtitle foreground transparency"
-msgstr ""
+msgstr "Transparence de l'avant-plan"
 
 msgid "Setup.DVB$Subtitle background transparency"
-msgstr ""
+msgstr "Transparence du fond"
 
 msgid "LNB"
 msgstr "LNB"
@@ -842,13 +843,13 @@
 msgstr "Pas d'audio disponible !"
 
 msgid "No subtitles"
-msgstr ""
+msgstr "Pas de Sous-Titres"
 
 msgid "Button$Subtitles"
-msgstr ""
+msgstr "Sous-Titres"
 
 msgid "No subtitles available!"
-msgstr ""
+msgstr "Pas de Sous-Titres disponible !"
 
 msgid "Not enough disk space to start recording!"
 msgstr "Espace disque insuffisant pour dmarrer l'enregistrement !"
@@ -875,14 +876,14 @@
 msgid "Editing process already active!"
 msgstr "Montage dj en cours !"
 
-msgid " abcdefghijklmnopqrstuvwxyz0123456789-.#~,/_@"
-msgstr " abcdefghijklmnopqrstuvwxyz0123456789-.#~,/_@"
+msgid "FileNameChars$ abcdefghijklmnopqrstuvwxyz0123456789-.,#~\\^$[]|()*+?{}/:%@&"
+msgstr " abcdefghijklmnopqrstuvwxyz0123456789-.,#~\\^$[]|()*+?{}/:%@&"
 
 msgid "yes"
 msgstr "oui"
 
-msgid " 0\t-.#~,/_@1\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
-msgstr " 0\t-.#~,/_@1\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
+msgid "CharMap$ 0\t-.,1#~\\^$[]|()*+?{}/:%@&\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
+msgstr " 0\t-.,1#~\\^$[]|()*+?{}/:%@&\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
 
 msgid "Button$ABC/abc"
 msgstr "ABC/abc"
diff -ruN vdr-1.5.10/po/hr_HR.po vdr-1.5.11/po/hr_HR.po
--- vdr-1.5.10/po/hr_HR.po	2007-10-13 11:37:19.000000000 +0200
+++ vdr-1.5.11/po/hr_HR.po	2007-11-04 11:52:41.000000000 +0100
@@ -871,13 +871,13 @@
 msgid "Editing process already active!"
 msgstr "Ureivanje je ve aktivirano!"
 
-msgid " abcdefghijklmnopqrstuvwxyz0123456789-.#~,/_@"
-msgstr " abcdefghijklmnopqrstuvwxyz0123456789-.#~,/_@"
+msgid "FileNameChars$ abcdefghijklmnopqrstuvwxyz0123456789-.,#~\\^$[]|()*+?{}/:%@&"
+msgstr " abcdefghijklmnopqrstuvwxyz0123456789-.,#~\\^$[]|()*+?{}/:%@&"
 
 msgid "yes"
 msgstr "da"
 
-msgid " 0\t-.#~,/_@1\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
+msgid "CharMap$ 0\t-.,1#~\\^$[]|()*+?{}/:%@&\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
 msgstr ""
 
 msgid "Button$ABC/abc"
diff -ruN vdr-1.5.10/po/hu_HU.po vdr-1.5.11/po/hu_HU.po
--- vdr-1.5.10/po/hu_HU.po	2007-10-13 14:42:34.000000000 +0200
+++ vdr-1.5.11/po/hu_HU.po	2007-11-04 11:52:41.000000000 +0100
@@ -872,14 +872,14 @@
 msgid "Editing process already active!"
 msgstr "A vgs mr aktivlt!"
 
-msgid " abcdefghijklmnopqrstuvwxyz0123456789-.#~,/_@"
-msgstr " abcdefghijklmnopqrstuvwxyz0123456789-.#~,/_@"
+msgid "FileNameChars$ abcdefghijklmnopqrstuvwxyz0123456789-.,#~\\^$[]|()*+?{}/:%@&"
+msgstr " abcdefghijklmnopqrstuvwxyz0123456789-.,#~\\^$[]|()*+?{}/:%@&"
 
 msgid "yes"
 msgstr "igen"
 
-msgid " 0\t-.#~,/_@1\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
-msgstr " 0\t-.#~,/_@1\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
+msgid "CharMap$ 0\t-.,1#~\\^$[]|()*+?{}/:%@&\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
+msgstr " 0\t-.,1#~\\^$[]|()*+?{}/:%@&\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
 
 msgid "Button$ABC/abc"
 msgstr "ABC/abc"
diff -ruN vdr-1.5.10/po/it_IT.po vdr-1.5.11/po/it_IT.po
--- vdr-1.5.10/po/it_IT.po	2007-10-13 13:49:30.000000000 +0200
+++ vdr-1.5.11/po/it_IT.po	2007-11-04 11:52:41.000000000 +0100
@@ -11,9 +11,9 @@
 "Project-Id-Version: VDR 1.5.7\n"
 "Report-Msgid-Bugs-To: <vdr-bugs@cadsoft.de>\n"
 "POT-Creation-Date: 2007-10-13 11:29+0200\n"
-"PO-Revision-Date: 2007-08-12 14:17+0200\n"
-"Last-Translator: Sean Carlos <seanc@libero.it>\n"
-"Language-Team: <vdr@linuxtv.org>\n"
+"PO-Revision-Date: 2007-10-16 02:15+0100\n"
+"Last-Translator: Diego Pierotto <vdr-italian@tiscali.it>\n"
+"Language-Team:  <vdr@linuxtv.org>\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=ISO-8859-15\n"
 "Content-Transfer-Encoding: 8bit\n"
@@ -169,7 +169,7 @@
 msgstr "Audio"
 
 msgid "Key$Subtitles"
-msgstr ""
+msgstr "Key$Sottotitoli"
 
 msgid "Key$Schedule"
 msgstr "Programmi"
@@ -256,10 +256,10 @@
 msgstr "PID AC3 (2)"
 
 msgid "Spid1"
-msgstr ""
+msgstr "Spid1"
 
 msgid "Spid2"
-msgstr ""
+msgstr "Spid2"
 
 msgid "Tpid"
 msgstr "PID Teletext"
@@ -630,22 +630,22 @@
 msgstr "Lingua per l'audio"
 
 msgid "Setup.DVB$Display subtitles"
-msgstr ""
+msgstr "Setup.DVB$Mostra sottotitoli"
 
 msgid "Setup.DVB$Subtitle languages"
-msgstr ""
+msgstr "Setup.DVB$Lingue sottotitoli"
 
 msgid "Setup.DVB$Subtitle language"
-msgstr ""
+msgstr "Setup.DVB$Lingua sottotitoli"
 
 msgid "Setup.DVB$Subtitle offset"
-msgstr ""
+msgstr "Setup.DVB$Posizione sottotitolo"
 
 msgid "Setup.DVB$Subtitle foreground transparency"
-msgstr ""
+msgstr "Setup.DVB$Trasparenza primo piano sottotitoli"
 
 msgid "Setup.DVB$Subtitle background transparency"
-msgstr ""
+msgstr "Setup.DVB$Trasparenza sfondo sottotitoli"
 
 msgid "LNB"
 msgstr "LNB"
@@ -840,13 +840,13 @@
 msgstr "Nessun audio disponibile!"
 
 msgid "No subtitles"
-msgstr ""
+msgstr "Nessun sottotitolo"
 
 msgid "Button$Subtitles"
-msgstr ""
+msgstr "Button$Sottotitoli"
 
 msgid "No subtitles available!"
-msgstr ""
+msgstr "Nessun sottotitolo disponibile!"
 
 msgid "Not enough disk space to start recording!"
 msgstr "Spazio su disco insufficiente per registrare!"
@@ -873,14 +873,14 @@
 msgid "Editing process already active!"
 msgstr "Processo di modifica gi attivo!"
 
-msgid " abcdefghijklmnopqrstuvwxyz0123456789-.#~,/_@"
-msgstr " abcdefghijklmnopqrstuvwxyz0123456789-.#~,/_@"
+msgid "FileNameChars$ abcdefghijklmnopqrstuvwxyz0123456789-.,#~\\^$[]|()*+?{}/:%@&"
+msgstr " abcdefghijklmnopqrstuvwxyz0123456789-.,#~\\^$[]|()*+?{}/:%@&"
 
 msgid "yes"
 msgstr "s"
 
-msgid " 0\t-.#~,/_@1\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
-msgstr " 0\t-.#~,/_@1\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
+msgid "CharMap$ 0\t-.,1#~\\^$[]|()*+?{}/:%@&\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
+msgstr " 0\t-.,1#~\\^$[]|()*+?{}/:%@&\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
 
 msgid "Button$ABC/abc"
 msgstr "ABC/abc"
diff -ruN vdr-1.5.10/po/nl_NL.po vdr-1.5.11/po/nl_NL.po
--- vdr-1.5.10/po/nl_NL.po	2007-10-13 11:37:41.000000000 +0200
+++ vdr-1.5.11/po/nl_NL.po	2007-11-04 11:52:41.000000000 +0100
@@ -872,13 +872,13 @@
 msgid "Editing process already active!"
 msgstr "Bewerken is al actief!"
 
-msgid " abcdefghijklmnopqrstuvwxyz0123456789-.#~,/_@"
-msgstr " abcdefghijklmnopqrstuvwxyz0123456789-.#~,/_@"
+msgid "FileNameChars$ abcdefghijklmnopqrstuvwxyz0123456789-.,#~\\^$[]|()*+?{}/:%@&"
+msgstr " abcdefghijklmnopqrstuvwxyz0123456789-.,#~\\^$[]|()*+?{}/:%@&"
 
 msgid "yes"
 msgstr "ja"
 
-msgid " 0\t-.#~,/_@1\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
+msgid "CharMap$ 0\t-.,1#~\\^$[]|()*+?{}/:%@&\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
 msgstr ""
 
 msgid "Button$ABC/abc"
diff -ruN vdr-1.5.10/po/nn_NO.po vdr-1.5.11/po/nn_NO.po
--- vdr-1.5.10/po/nn_NO.po	2007-10-13 11:37:46.000000000 +0200
+++ vdr-1.5.11/po/nn_NO.po	2007-11-04 11:52:41.000000000 +0100
@@ -871,13 +871,13 @@
 msgid "Editing process already active!"
 msgstr "Redigeringsprosessen er allerede aktiv!"
 
-msgid " abcdefghijklmnopqrstuvwxyz0123456789-.#~,/_@"
+msgid "FileNameChars$ abcdefghijklmnopqrstuvwxyz0123456789-.,#~\\^$[]|()*+?{}/:%@&"
 msgstr ""
 
 msgid "yes"
 msgstr "ja"
 
-msgid " 0\t-.#~,/_@1\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
+msgid "CharMap$ 0\t-.,1#~\\^$[]|()*+?{}/:%@&\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
 msgstr ""
 
 msgid "Button$ABC/abc"
diff -ruN vdr-1.5.10/po/pl_PL.po vdr-1.5.11/po/pl_PL.po
--- vdr-1.5.10/po/pl_PL.po	2007-10-13 11:37:53.000000000 +0200
+++ vdr-1.5.11/po/pl_PL.po	2007-11-04 11:52:41.000000000 +0100
@@ -870,14 +870,14 @@
 msgid "Editing process already active!"
 msgstr "Proces edycji jest ju aktywny!"
 
-msgid " abcdefghijklmnopqrstuvwxyz0123456789-.#~,/_@"
-msgstr " abcdefghijklmnopqrstuvwxyz0123456789-.#~,/_@"
+msgid "FileNameChars$ abcdefghijklmnopqrstuvwxyz0123456789-.,#~\\^$[]|()*+?{}/:%@&"
+msgstr " abcdefghijklmnopqrstuvwxyz0123456789-.,#~\\^$[]|()*+?{}/:%@&"
 
 msgid "yes"
 msgstr "tak"
 
-msgid " 0\t-.#~,/_@1\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
-msgstr " 0\t-.#~,/_@1\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
+msgid "CharMap$ 0\t-.,1#~\\^$[]|()*+?{}/:%@&\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
+msgstr " 0\t-.,1#~\\^$[]|()*+?{}/:%@&\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
 
 msgid "Button$ABC/abc"
 msgstr "ABC/abc"
diff -ruN vdr-1.5.10/po/pt_PT.po vdr-1.5.11/po/pt_PT.po
--- vdr-1.5.10/po/pt_PT.po	2007-10-13 11:37:58.000000000 +0200
+++ vdr-1.5.11/po/pt_PT.po	2007-11-04 11:52:41.000000000 +0100
@@ -870,13 +870,13 @@
 msgid "Editing process already active!"
 msgstr "Processo de modificao j activo!"
 
-msgid " abcdefghijklmnopqrstuvwxyz0123456789-.#~,/_@"
+msgid "FileNameChars$ abcdefghijklmnopqrstuvwxyz0123456789-.,#~\\^$[]|()*+?{}/:%@&"
 msgstr ""
 
 msgid "yes"
 msgstr "sim"
 
-msgid " 0\t-.#~,/_@1\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
+msgid "CharMap$ 0\t-.,1#~\\^$[]|()*+?{}/:%@&\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
 msgstr ""
 
 msgid "Button$ABC/abc"
diff -ruN vdr-1.5.10/po/ro_RO.po vdr-1.5.11/po/ro_RO.po
--- vdr-1.5.10/po/ro_RO.po	2007-10-13 11:38:04.000000000 +0200
+++ vdr-1.5.11/po/ro_RO.po	2007-11-04 11:52:41.000000000 +0100
@@ -871,14 +871,14 @@
 msgid "Editing process already active!"
 msgstr "Montajul nregistrrii este deja activ!"
 
-msgid " abcdefghijklmnopqrstuvwxyz0123456789-.#~,/_@"
-msgstr " abcdefghijklmnopqrstuvwxyz0123456789-.#~,/_@"
+msgid "FileNameChars$ abcdefghijklmnopqrstuvwxyz0123456789-.,#~\\^$[]|()*+?{}/:%@&"
+msgstr " abcdefghijklmnopqrstuvwxyz0123456789-.,#~\\^$[]|()*+?{}/:%@&"
 
 msgid "yes"
 msgstr "da"
 
-msgid " 0\t-.#~,/_@1\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
-msgstr " 0\t-.#~,/_@1\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
+msgid "CharMap$ 0\t-.,1#~\\^$[]|()*+?{}/:%@&\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
+msgstr " 0\t-.,1#~\\^$[]|()*+?{}/:%@&\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
 
 msgid "Button$ABC/abc"
 msgstr "ABC/abc"
diff -ruN vdr-1.5.10/po/ru_RU.po vdr-1.5.11/po/ru_RU.po
--- vdr-1.5.10/po/ru_RU.po	2007-10-13 11:38:11.000000000 +0200
+++ vdr-1.5.11/po/ru_RU.po	2007-11-04 11:52:41.000000000 +0100
@@ -870,14 +870,14 @@
 msgid "Editing process already active!"
 msgstr "   !"
 
-msgid " abcdefghijklmnopqrstuvwxyz0123456789-.#~,/_@"
-msgstr " abcdefghijklmnopqrstuvwxyz0123456789-.#~,/_@"
+msgid "FileNameChars$ abcdefghijklmnopqrstuvwxyz0123456789-.,#~\\^$[]|()*+?{}/:%@&"
+msgstr " abcdefghijklmnopqrstuvwxyz0123456789-.,#~\\^$[]|()*+?{}/:%@&"
 
 msgid "yes"
 msgstr ""
 
-msgid " 0\t-.#~,/_@1\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
-msgstr " 0\t-.#~,/_@1\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
+msgid "CharMap$ 0\t-.,1#~\\^$[]|()*+?{}/:%@&\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
+msgstr " 0\t-.,1#~\\^$[]|()*+?{}/:%@&\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
 
 msgid "Button$ABC/abc"
 msgstr "/"
diff -ruN vdr-1.5.10/po/sl_SI.po vdr-1.5.11/po/sl_SI.po
--- vdr-1.5.10/po/sl_SI.po	2007-10-13 11:38:18.000000000 +0200
+++ vdr-1.5.11/po/sl_SI.po	2007-11-04 11:52:42.000000000 +0100
@@ -871,14 +871,14 @@
 msgid "Editing process already active!"
 msgstr "Urejanje je e aktivno!"
 
-msgid " abcdefghijklmnopqrstuvwxyz0123456789-.#~,/_@"
-msgstr " abcdefghijklmnopqrstuvwxyz0123456789-.#~,/_@"
+msgid "FileNameChars$ abcdefghijklmnopqrstuvwxyz0123456789-.,#~\\^$[]|()*+?{}/:%@&"
+msgstr " abcdefghijklmnopqrstuvwxyz0123456789-.,#~\\^$[]|()*+?{}/:%@&"
 
 msgid "yes"
 msgstr "da"
 
-msgid " 0\t-.#~,/_@1\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
-msgstr " 0\t-.#~,/_@1\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
+msgid "CharMap$ 0\t-.,1#~\\^$[]|()*+?{}/:%@&\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
+msgstr " 0\t-.,1#~\\^$[]|()*+?{}/:%@&\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
 
 msgid "Button$ABC/abc"
 msgstr "ABC/abc"
diff -ruN vdr-1.5.10/po/sv_SE.po vdr-1.5.11/po/sv_SE.po
--- vdr-1.5.10/po/sv_SE.po	2007-10-13 11:38:24.000000000 +0200
+++ vdr-1.5.11/po/sv_SE.po	2007-11-04 11:52:42.000000000 +0100
@@ -871,14 +871,14 @@
 msgid "Editing process already active!"
 msgstr "Redigeringen r redan aktiv!"
 
-msgid " abcdefghijklmnopqrstuvwxyz0123456789-.#~,/_@"
-msgstr " abcdefghijklmnopqrstuvwxyz0123456789-.#~,/_@"
+msgid "FileNameChars$ abcdefghijklmnopqrstuvwxyz0123456789-.,#~\\^$[]|()*+?{}/:%@&"
+msgstr " abcdefghijklmnopqrstuvwxyz0123456789-.,#~\\^$[]|()*+?{}/:%@&"
 
 msgid "yes"
 msgstr "ja"
 
-msgid " 0\t-.#~,/_@1\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
-msgstr " 0\t-.#~,/_@1\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz"
+msgid "CharMap$ 0\t-.,1#~\\^$[]|()*+?{}/:%@&\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
+msgstr " 0\t-.,1#~\\^$[]|()*+?{}/:%@&\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz"
 
 msgid "Button$ABC/abc"
 msgstr "ABC/abc"
diff -ruN vdr-1.5.10/po/tr_TR.po vdr-1.5.11/po/tr_TR.po
--- vdr-1.5.10/po/tr_TR.po	2007-10-13 11:38:29.000000000 +0200
+++ vdr-1.5.11/po/tr_TR.po	2007-11-04 11:52:42.000000000 +0100
@@ -870,14 +870,14 @@
 msgid "Editing process already active!"
 msgstr "Kesim henz aktif!"
 
-msgid " abcdefghijklmnopqrstuvwxyz0123456789-.#~,/_@"
-msgstr " abcdefghijklmnoprstuvyz0123456789-.#~,/_@"
+msgid "FileNameChars$ abcdefghijklmnopqrstuvwxyz0123456789-.,#~\\^$[]|()*+?{}/:%@&"
+msgstr " abcdefghijklmnoprstuvyz0123456789-.,#~\\^$[]|()*+?{}/:%@&"
 
 msgid "yes"
 msgstr "evet"
 
-msgid " 0\t-.#~,/_@1\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
-msgstr " 0\t-.#~,/_@1\tabc2\tdef3\tghi4\tjkl5\tmno6\tprs7\ttuv8\tyz9"
+msgid "CharMap$ 0\t-.,1#~\\^$[]|()*+?{}/:%@&\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
+msgstr " 0\t-.,1#~\\^$[]|()*+?{}/:%@&\tabc2\tdef3\tghi4\tjkl5\tmno6\tprs7\ttuv8\tyz9"
 
 msgid "Button$ABC/abc"
 msgstr "ABC/abc"
diff -ruN vdr-1.5.10/po/uk_UA.po vdr-1.5.11/po/uk_UA.po
--- vdr-1.5.10/po/uk_UA.po	1970-01-01 01:00:00.000000000 +0100
+++ vdr-1.5.11/po/uk_UA.po	2007-11-04 11:52:42.000000000 +0100
@@ -0,0 +1,999 @@
+# VDR language source file.
+# Copyright (C) 2007 Klaus Schmidinger <kls@cadsoft.de>
+# This file is distributed under the same license as the VDR package.
+# Yarema Aka Knedlyk <yupadmin@gmail.com>, 2007
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: VDR 1.5.10\n"
+"Report-Msgid-Bugs-To: <vdr-bugs@cadsoft.de>\n"
+"POT-Creation-Date: 2007-11-01 11:36+0100\n"
+"PO-Revision-Date: 2007-08-12 14:17+0200\n"
+"Last-Translator: Yarema Aka Knedlyk <yupadmin@gmail.com>\n"
+"Language-Team: <vdr@linuxtv.org>\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=ISO-8859-5\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+msgid "*** Invalid Channel ***"
+msgstr "***   ***"
+
+msgid "Channel not available!"
+msgstr " !"
+
+msgid "Can't start Transfer Mode!"
+msgstr "   !"
+
+msgid "Starting EPG scan"
+msgstr " EPG-"
+
+msgid "No title"
+msgstr " "
+
+#. TRANSLATORS: The name of the language, as written natively
+msgid "LanguageName$English"
+msgstr ""
+
+#. TRANSLATORS: The 3-letter code of the language
+msgid "LanguageCode$eng"
+msgstr "ukr"
+
+msgid "Phase 1: Detecting RC code type"
+msgstr " 1:    "
+
+msgid "Press any key on the RC unit"
+msgstr " -   "
+
+msgid "RC code detected!"
+msgstr "  !"
+
+msgid "Do not press any key..."
+msgstr "  ..."
+
+msgid "Phase 2: Learning specific key codes"
+msgstr " 2:     "
+
+#, c-format
+msgid "Press key for '%s'"
+msgstr "  '%s'"
+
+msgid "Press 'Up' to confirm"
+msgstr " ''  "
+
+msgid "Press 'Down' to continue"
+msgstr " ''  "
+
+msgid "(press 'Up' to go back)"
+msgstr "( ''  )"
+
+msgid "(press 'Down' to end key definition)"
+msgstr "( ''    )"
+
+msgid "(press 'Menu' to skip this key)"
+msgstr "( ''   )"
+
+msgid "Learning Remote Control Keys"
+msgstr " "
+
+msgid "Phase 3: Saving key codes"
+msgstr " 3: '  "
+
+msgid "Press 'Up' to save, 'Down' to cancel"
+msgstr " ''  , ''  "
+
+msgid "Key$Up"
+msgstr ""
+
+msgid "Key$Down"
+msgstr ""
+
+msgid "Key$Menu"
+msgstr ""
+
+msgid "Key$Ok"
+msgstr "Ok"
+
+msgid "Key$Back"
+msgstr ""
+
+msgid "Key$Left"
+msgstr ""
+
+msgid "Key$Right"
+msgstr ""
+
+msgid "Key$Red"
+msgstr ""
+
+msgid "Key$Green"
+msgstr ""
+
+msgid "Key$Yellow"
+msgstr ""
+
+msgid "Key$Blue"
+msgstr ""
+
+msgid "Key$Info"
+msgstr ""
+
+msgid "Key$Play"
+msgstr ""
+
+msgid "Key$Pause"
+msgstr ""
+
+msgid "Key$Stop"
+msgstr ""
+
+msgid "Key$Record"
+msgstr ""
+
+msgid "Key$FastFwd"
+msgstr " "
+
+msgid "Key$FastRew"
+msgstr " "
+
+msgid "Key$Next"
+msgstr ""
+
+msgid "Key$Prev"
+msgstr ""
+
+msgid "Key$Power"
+msgstr ""
+
+msgid "Key$Channel+"
+msgstr " +"
+
+msgid "Key$Channel-"
+msgstr " -"
+
+msgid "Key$PrevChannel"
+msgstr " "
+
+msgid "Key$Volume+"
+msgstr " +"
+
+msgid "Key$Volume-"
+msgstr " -"
+
+msgid "Key$Mute"
+msgstr " "
+
+msgid "Key$Audio"
+msgstr ""
+
+msgid "Key$Subtitles"
+msgstr ""
+
+msgid "Key$Schedule"
+msgstr ""
+
+msgid "Key$Channels"
+msgstr ""
+
+msgid "Key$Timers"
+msgstr ""
+
+msgid "Key$Recordings"
+msgstr ""
+
+msgid "Key$Setup"
+msgstr ""
+
+msgid "Key$Commands"
+msgstr ""
+
+msgid "Key$User1"
+msgstr ""
+
+msgid "Key$User2"
+msgstr ""
+
+msgid "Key$User3"
+msgstr ""
+
+msgid "Key$User4"
+msgstr ""
+
+msgid "Key$User5"
+msgstr ""
+
+msgid "Key$User6"
+msgstr ""
+
+msgid "Key$User7"
+msgstr ""
+
+msgid "Key$User8"
+msgstr ""
+
+msgid "Key$User9"
+msgstr ""
+
+msgid "Free To Air"
+msgstr "FTA ()"
+
+msgid "encrypted"
+msgstr ""
+
+msgid "auto"
+msgstr ""
+
+msgid "Edit channel"
+msgstr " "
+
+msgid "Name"
+msgstr ""
+
+msgid "Source"
+msgstr ""
+
+msgid "Frequency"
+msgstr ""
+
+msgid "Vpid"
+msgstr "Vpid ()"
+
+msgid "Ppid"
+msgstr "Ppid"
+
+msgid "Apid1"
+msgstr "Apid1 ( 1)"
+
+msgid "Apid2"
+msgstr "Apid2 ( 2)"
+
+msgid "Dpid1"
+msgstr "Dpid1 (AC3 1)"
+
+msgid "Dpid2"
+msgstr "Dpid2 (AC3 2)"
+
+msgid "Spid1"
+msgstr ""
+
+msgid "Spid2"
+msgstr ""
+
+msgid "Tpid"
+msgstr "Tpid ()"
+
+msgid "CA"
+msgstr "CA ()"
+
+msgid "Sid"
+msgstr "Sid"
+
+msgid "Polarization"
+msgstr ""
+
+msgid "Srate"
+msgstr ". "
+
+msgid "Inversion"
+msgstr ""
+
+msgid "off"
+msgstr ""
+
+msgid "CoderateH"
+msgstr "CoderateH"
+
+msgid "none"
+msgstr ""
+
+msgid "CoderateL"
+msgstr "CoderateL"
+
+msgid "Modulation"
+msgstr ""
+
+msgid "Bandwidth"
+msgstr ""
+
+msgid "Transmission"
+msgstr ""
+
+msgid "Guard"
+msgstr ""
+
+msgid "Hierarchy"
+msgstr ""
+
+msgid "Channel settings are not unique!"
+msgstr "   !"
+
+msgid "Channels"
+msgstr ""
+
+msgid "Button$Edit"
+msgstr ""
+
+msgid "Button$New"
+msgstr ""
+
+msgid "Button$Delete"
+msgstr ""
+
+msgid "Button$Mark"
+msgstr ""
+
+msgid "Channel is being used by a timer!"
+msgstr "  !"
+
+msgid "Delete channel?"
+msgstr " ?"
+
+msgid "Edit timer"
+msgstr " "
+
+msgid "Active"
+msgstr ""
+
+msgid "Channel"
+msgstr ""
+
+msgid "Day"
+msgstr ""
+
+msgid "Start"
+msgstr ""
+
+msgid "Stop"
+msgstr ""
+
+msgid "VPS"
+msgstr "VPS "
+
+msgid "Priority"
+msgstr ""
+
+msgid "Lifetime"
+msgstr " "
+
+msgid "File"
+msgstr ""
+
+msgid "First day"
+msgstr " "
+
+msgid "Timers"
+msgstr ""
+
+msgid "Button$On/Off"
+msgstr "/"
+
+msgid "Button$Info"
+msgstr ""
+
+msgid "Delete timer?"
+msgstr " ?"
+
+msgid "Timer still recording - really delete?"
+msgstr "    -  ?"
+
+msgid "Event"
+msgstr ""
+
+msgid "Button$Timer"
+msgstr ""
+
+msgid "Button$Record"
+msgstr ""
+
+msgid "Button$Switch"
+msgstr ""
+
+msgid "What's on now?"
+msgstr "  :"
+
+msgid "What's on next?"
+msgstr "  :"
+
+msgid "Button$Next"
+msgstr ""
+
+msgid "Button$Now"
+msgstr ""
+
+msgid "Button$Schedule"
+msgstr ""
+
+msgid "Can't switch channel!"
+msgstr "  !"
+
+#, c-format
+msgid "Schedule - %s"
+msgstr " - %s"
+
+#, c-format
+msgid "This event - %s"
+msgstr "  - %s"
+
+msgid "This event - all channels"
+msgstr "  -  "
+
+msgid "All events - all channels"
+msgstr "  -  "
+
+#, c-format
+msgid "Please enter %d digits!"
+msgstr " %d "
+
+msgid "CAM not responding!"
+msgstr "CAM  "
+
+msgid "Recording info"
+msgstr " "
+
+msgid "Button$Play"
+msgstr ""
+
+msgid "Button$Rewind"
+msgstr ""
+
+msgid "Recordings"
+msgstr ""
+
+msgid "Button$Open"
+msgstr ""
+
+msgid "Commands"
+msgstr ""
+
+msgid "Error while accessing recording!"
+msgstr "   !"
+
+msgid "Delete recording?"
+msgstr " ?"
+
+msgid "Error while deleting recording!"
+msgstr "  !"
+
+msgid "Recording commands"
+msgstr " "
+
+msgid "never"
+msgstr ""
+
+msgid "skin dependent"
+msgstr "  "
+
+msgid "always"
+msgstr ""
+
+msgid "OSD"
+msgstr ""
+
+msgid "Setup.OSD$Language"
+msgstr ""
+
+msgid "Setup.OSD$Skin"
+msgstr ""
+
+msgid "Setup.OSD$Theme"
+msgstr ""
+
+msgid "Setup.OSD$Left"
+msgstr " "
+
+msgid "Setup.OSD$Top"
+msgstr " "
+
+msgid "Setup.OSD$Width"
+msgstr ""
+
+msgid "Setup.OSD$Height"
+msgstr ""
+
+msgid "Setup.OSD$Message time (s)"
+msgstr "   ()"
+
+msgid "Setup.OSD$Use small font"
+msgstr "  "
+
+msgid "Setup.OSD$Anti-alias"
+msgstr " "
+
+msgid "Setup.OSD$Default font"
+msgstr " "
+
+msgid "Setup.OSD$Small font"
+msgstr " "
+
+msgid "Setup.OSD$Fixed font"
+msgstr " "
+
+msgid "Setup.OSD$Default font size (pixel)"
+msgstr "    (pixel)"
+
+msgid "Setup.OSD$Small font size (pixel)"
+msgstr "   (pixel)"
+
+msgid "Setup.OSD$Fixed font size (pixel)"
+msgstr "   (pixel)"
+
+msgid "Setup.OSD$Channel info position"
+msgstr "    "
+
+msgid "bottom"
+msgstr ""
+
+msgid "top"
+msgstr ""
+
+msgid "Setup.OSD$Channel info time (s)"
+msgstr "    ()"
+
+msgid "Setup.OSD$Info on channel switch"
+msgstr "   "
+
+msgid "Setup.OSD$Timeout requested channel info"
+msgstr "   "
+
+msgid "Setup.OSD$Scroll pages"
+msgstr "  "
+
+msgid "Setup.OSD$Scroll wraps"
+msgstr " "
+
+msgid "Setup.OSD$Menu key closes"
+msgstr "  "
+
+msgid "Setup.OSD$Recording directories"
+msgstr "  "
+
+msgid "EPG"
+msgstr ""
+
+msgid "Button$Scan"
+msgstr ""
+
+msgid "Setup.EPG$EPG scan timeout (h)"
+msgstr "   ()"
+
+msgid "Setup.EPG$EPG bugfix level"
+msgstr "  "
+
+msgid "Setup.EPG$EPG linger time (min)"
+msgstr "   ()"
+
+msgid "Setup.EPG$Set system time"
+msgstr "  "
+
+msgid "Setup.EPG$Use time from transponder"
+msgstr "  "
+
+#. TRANSLATORS: note the plural!
+msgid "Setup.EPG$Preferred languages"
+msgstr "  ()"
+
+#. TRANSLATORS: note the singular!
+msgid "Setup.EPG$Preferred language"
+msgstr ""
+
+msgid "pan&scan"
+msgstr ""
+
+msgid "letterbox"
+msgstr ""
+
+msgid "center cut out"
+msgstr " "
+
+msgid "no"
+msgstr ""
+
+msgid "names only"
+msgstr " "
+
+msgid "PIDs only"
+msgstr " PID"
+
+msgid "names and PIDs"
+msgstr "  PID"
+
+msgid "add new channels"
+msgstr "  "
+
+msgid "add new transponders"
+msgstr "  "
+
+msgid "DVB"
+msgstr "DVB"
+
+msgid "Setup.DVB$Primary DVB interface"
+msgstr " DVB-"
+
+msgid "Setup.DVB$Video format"
+msgstr " "
+
+msgid "Setup.DVB$Video display format"
+msgstr " "
+
+msgid "Setup.DVB$Use Dolby Digital"
+msgstr " Dolby Digital"
+
+msgid "Setup.DVB$Update channels"
+msgstr "  "
+
+msgid "Setup.DVB$Audio languages"
+msgstr "  ()"
+
+msgid "Setup.DVB$Audio language"
+msgstr ""
+
+msgid "Setup.DVB$Display subtitles"
+msgstr " "
+
+msgid "Setup.DVB$Subtitle languages"
+msgstr " "
+
+msgid "Setup.DVB$Subtitle language"
+msgstr " "
+
+msgid "Setup.DVB$Subtitle offset"
+msgstr " "
+
+msgid "Setup.DVB$Subtitle foreground transparency"
+msgstr ""
+
+msgid "Setup.DVB$Subtitle background transparency"
+msgstr ""
+
+msgid "LNB"
+msgstr ""
+
+msgid "Setup.LNB$Use DiSEqC"
+msgstr " DiSEqC"
+
+msgid "Setup.LNB$SLOF (MHz)"
+msgstr "  (SLOF) ()"
+
+msgid "Setup.LNB$Low LNB frequency (MHz)"
+msgstr "   ()"
+
+msgid "Setup.LNB$High LNB frequency (MHz)"
+msgstr "   ()"
+
+msgid "CAM reset"
+msgstr " CAM"
+
+msgid "CAM present"
+msgstr "CAM "
+
+msgid "CAM ready"
+msgstr "CAM "
+
+msgid "CAM"
+msgstr " "
+
+msgid "Button$Menu"
+msgstr ""
+
+msgid "Button$Reset"
+msgstr ""
+
+msgid "Opening CAM menu..."
+msgstr "     (CAM)"
+
+msgid "Can't open CAM menu!"
+msgstr " CAM- !"
+
+msgid "CAM is in use - really reset?"
+msgstr "CAM  -  ?"
+
+msgid "Can't reset CAM!"
+msgstr "  CAM-!"
+
+msgid "Recording"
+msgstr ""
+
+msgid "Setup.Recording$Margin at start (min)"
+msgstr "   ()"
+
+msgid "Setup.Recording$Margin at stop (min)"
+msgstr "   ()"
+
+msgid "Setup.Recording$Primary limit"
+msgstr ".   . "
+
+msgid "Setup.Recording$Default priority"
+msgstr "   "
+
+msgid "Setup.Recording$Default lifetime (d)"
+msgstr "     ()"
+
+msgid "Setup.Recording$Pause priority"
+msgstr "  "
+
+msgid "Setup.Recording$Pause lifetime (d)"
+msgstr "   ()"
+
+msgid "Setup.Recording$Use episode name"
+msgstr "   "
+
+msgid "Setup.Recording$Use VPS"
+msgstr "  VPS"
+
+msgid "Setup.Recording$VPS margin (s)"
+msgstr "  VPS ()"
+
+msgid "Setup.Recording$Mark instant recording"
+msgstr "   "
+
+msgid "Setup.Recording$Name instant recording"
+msgstr "   "
+
+msgid "Setup.Recording$Instant rec. time (min)"
+msgstr "   ()"
+
+msgid "Setup.Recording$Max. video file size (MB)"
+msgstr ".   ()"
+
+msgid "Setup.Recording$Split edited files"
+msgstr "  "
+
+msgid "Replay"
+msgstr ""
+
+msgid "Setup.Replay$Multi speed mode"
+msgstr " "
+
+msgid "Setup.Replay$Show replay mode"
+msgstr "  "
+
+msgid "Setup.Replay$Resume ID"
+msgstr "ID "
+
+msgid "Miscellaneous"
+msgstr ""
+
+msgid "Setup.Miscellaneous$Min. event timeout (min)"
+msgstr ".    ()"
+
+msgid "Setup.Miscellaneous$Min. user inactivity (min)"
+msgstr ".    ()"
+
+msgid "Setup.Miscellaneous$SVDRP timeout (s)"
+msgstr "  ' SVDRP ()"
+
+msgid "Setup.Miscellaneous$Zap timeout (s)"
+msgstr "   ()"
+
+msgid "Setup.Miscellaneous$Channel entry timeout (ms)"
+msgstr "     (ms)"
+
+msgid "Setup.Miscellaneous$Initial channel"
+msgstr "  "
+
+msgid "Setup.Miscellaneous$as before"
+msgstr " "
+
+msgid "Setup.Miscellaneous$Initial volume"
+msgstr "  "
+
+msgid "Plugins"
+msgstr " "
+
+msgid "This plugin has no setup parameters!"
+msgstr "    !"
+
+msgid "Setup"
+msgstr ""
+
+msgid "Restart"
+msgstr ""
+
+msgid "Really restart?"
+msgstr " ?"
+
+#. TRANSLATORS: note the leading and trailing blanks!
+msgid " Stop recording "
+msgstr "   "
+
+msgid "Schedule"
+msgstr ""
+
+msgid "VDR"
+msgstr "VDR"
+
+msgid "Disk"
+msgstr ""
+
+msgid "free"
+msgstr ""
+
+#. TRANSLATORS: note the leading blank!
+msgid " Stop replaying"
+msgstr "  "
+
+msgid "Button$Audio"
+msgstr ""
+
+msgid "Button$Pause"
+msgstr ""
+
+msgid "Button$Stop"
+msgstr ""
+
+msgid "Button$Resume"
+msgstr ""
+
+#. TRANSLATORS: note the leading blank!
+msgid " Cancel editing"
+msgstr "   "
+
+msgid "Stop recording?"
+msgstr " ?"
+
+msgid "Cancel editing?"
+msgstr " ?"
+
+msgid "No audio available!"
+msgstr " !"
+
+msgid "No subtitles"
+msgstr " "
+
+msgid "Button$Subtitles"
+msgstr ""
+
+msgid "No subtitles available!"
+msgstr " !"
+
+msgid "Not enough disk space to start recording!"
+msgstr "      "
+
+msgid "No free DVB device to record!"
+msgstr "  DVB-  !"
+
+msgid "Pausing live video..."
+msgstr "  ..."
+
+#. TRANSLATORS: note the trailing blank!
+msgid "Jump: "
+msgstr ": "
+
+msgid "No editing marks defined!"
+msgstr "    !"
+
+msgid "Can't start editing process!"
+msgstr "   !"
+
+msgid "Editing process started"
+msgstr "  "
+
+msgid "Editing process already active!"
+msgstr "   !"
+
+#, fuzzy
+msgid "FileNameChars$ abcdefghijklmnopqrstuvwxyz0123456789-.,#~\\^$[]|()*+?{}/:%@&"
+msgstr " abcdefghijklmnopqrstuvwxyz0123456789-.#~,/_@"
+
+msgid "yes"
+msgstr ""
+
+#, fuzzy
+msgid "CharMap$ 0\t-.,1#~\\^$[]|()*+?{}/:%@&\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
+msgstr " 0\t-.#~,/_@1\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
+
+msgid "Button$ABC/abc"
+msgstr "/"
+
+msgid "Button$Overwrite"
+msgstr ""
+
+msgid "Button$Insert"
+msgstr ""
+
+msgid "Plugin"
+msgstr ""
+
+msgid "Up/Dn for new location - OK to move"
+msgstr " \"\"/\"\"   ,   \"OK\""
+
+msgid "Channel locked (recording)!"
+msgstr "  ( )!"
+
+msgid "Low disk space!"
+msgstr "   !"
+
+msgid "Can't shutdown - option '-s' not given!"
+msgstr "  -    '-s'!"
+
+msgid "Editing - shut down anyway?"
+msgstr "  -  ?"
+
+msgid "Recording - shut down anyway?"
+msgstr "  -  ?"
+
+#, c-format
+msgid "Recording in %ld minutes, shut down anyway?"
+msgstr " %ld    -  ?"
+
+msgid "shut down anyway?"
+msgstr " ?"
+
+#, c-format
+msgid "Plugin %s wakes up in %ld min, continue?"
+msgstr "Plugin %s   %ld  - ?"
+
+msgid "Editing - restart anyway?"
+msgstr "  -  ?"
+
+msgid "Recording - restart anyway?"
+msgstr "  -  ?"
+
+msgid "restart anyway?"
+msgstr " ?"
+
+#. TRANSLATORS: note the trailing blank!
+msgid "Volume "
+msgstr " "
+
+msgid "Classic VDR"
+msgstr ""
+
+msgid "ST:TNG Panels"
+msgstr "ST:TNG "
+
+#. TRANSLATORS: the first character of each weekday, beginning with monday
+msgid "MTWTFSS"
+msgstr "ǿ"
+
+#. TRANSLATORS: abbreviated weekdays, beginning with monday (must all be 3 letters!)
+msgid "MonTueWedThuFriSatSun"
+msgstr "ݲҿѽ"
+
+msgid "Monday"
+msgstr ""
+
+msgid "Tuesday"
+msgstr ""
+
+msgid "Wednesday"
+msgstr ""
+
+msgid "Thursday"
+msgstr ""
+
+msgid "Friday"
+msgstr "'"
+
+msgid "Saturday"
+msgstr ""
+
+msgid "Sunday"
+msgstr ""
+
+msgid "Upcoming VPS recording!"
+msgstr "VPS-  "
+
+msgid "Recording started"
+msgstr " "
+
+msgid "VDR will shut down later - press Power to force"
+msgstr "VDR   -  Power  "
+
+msgid "Press any key to cancel shutdown"
+msgstr " -    ."
+
+msgid "Switching primary DVB..."
+msgstr "  DVB-..."
+
+msgid "Editing process failed!"
+msgstr "    !"
+
+msgid "Editing process finished"
+msgstr " "
+
+msgid "Press any key to cancel restart"
+msgstr " -    "
+
+#, c-format
+msgid "VDR will shut down in %s minutes"
+msgstr "VDR   %s "
diff -ruN vdr-1.5.10/recording.c vdr-1.5.11/recording.c
--- vdr-1.5.10/recording.c	2007-10-14 12:21:54.000000000 +0200
+++ vdr-1.5.11/recording.c	2007-11-04 12:17:43.000000000 +0100
@@ -4,10 +4,11 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: recording.c 1.156 2007/10/14 10:21:54 kls Exp $
+ * $Id: recording.c 1.157 2007/11/04 11:17:43 kls Exp $
  */
 
 #include "recording.h"
+#include <ctype.h>
 #include <dirent.h>
 #include <errno.h>
 #include <fcntl.h>
@@ -448,12 +449,14 @@
                 case '/': *p = '~'; break;
                 // encoded characters:
                 case '#': {
-                     if (strlen(p) > 2) {
+                     if (strlen(p) > 2 && isxdigit(*(p + 1)) && isxdigit(*(p + 2))) {
                         char buf[3];
                         sprintf(buf, "%c%c", *(p + 1), *(p + 2));
                         unsigned char c = strtol(buf, NULL, 16);
-                        *p = c;
-                        memmove(p + 1, p + 3, strlen(p) - 2);
+                        if (c) {
+                           *p = c;
+                           memmove(p + 1, p + 3, strlen(p) - 2);
+                           }
                         }
                      }
                      break;
diff -ruN vdr-1.5.10/remux.c vdr-1.5.11/remux.c
--- vdr-1.5.10/remux.c	2007-09-22 14:08:22.000000000 +0200
+++ vdr-1.5.11/remux.c	2007-11-03 15:18:07.000000000 +0100
@@ -11,7 +11,7 @@
  * The cRepacker family's code was originally written by Reinhard Nissl <rnissl@gmx.de>,
  * and adapted to the VDR coding style by Klaus.Schmidinger@cadsoft.de.
  *
- * $Id: remux.c 1.59 2007/09/22 12:08:22 kls Exp $
+ * $Id: remux.c 1.60 2007/11/03 14:18:07 kls Exp $
  */
 
 #include "remux.h"
@@ -1427,6 +1427,7 @@
 #define MMAX_PLENGTH (64*MAX_PLENGTH) // some stations send PES packets that are extremely large, e.g. DVB-T in Finland or HDTV 1920x1080
 
 #define IPACKS 2048
+#define SUBTITLE_PACKS  KILOBYTE(32)
 
 // Start codes:
 #define SC_SEQUENCE 0xB3  // "sequence header code"
@@ -1911,7 +1912,7 @@
   if (SPids) {
      int n = 0;
      while (*SPids && numTracks < MAXTRACKS && n < MAXSPIDS)
-           ts2pes[numTracks++] = new cTS2PES(*SPids++, resultBuffer, IPACKS, 0x00, 0x20 + n++);
+           ts2pes[numTracks++] = new cTS2PES(*SPids++, resultBuffer, SUBTITLE_PACKS, 0x00, 0x20 + n++);
      }
 }
 
@@ -2009,7 +2010,7 @@
          break;
       if (Data[i] != TS_SYNC_BYTE)
          break;
-      if (resultBuffer->Free() < 2 * IPACKS)
+      if (resultBuffer->Free() < SUBTITLE_PACKS)
          break; // A cTS2PES might write one full packet and also a small rest
       int pid = GetPid(Data + i + 1);
       if (Data[i + 3] & 0x10) { // got payload
diff -ruN vdr-1.5.10/shutdown.c vdr-1.5.11/shutdown.c
--- vdr-1.5.10/shutdown.c	2007-02-24 18:24:11.000000000 +0100
+++ vdr-1.5.11/shutdown.c	2007-10-19 16:33:40.000000000 +0200
@@ -6,7 +6,7 @@
  *
  * Original version written by Udo Richter <udo_richter@gmx.de>.
  *
- * $Id: shutdown.c 1.1 2007/02/24 17:24:11 kls Exp $
+ * $Id: shutdown.c 1.2 2007/10/19 14:33:40 kls Exp $
  */
 
 #include "shutdown.h"
@@ -110,9 +110,11 @@
      // Set inactive after MinUserInactivity
      SetUserInactiveTimeout();
      }
-  else
+  else {
      // Set inactive from now on
+     dsyslog("scheduled wakeup time in %ld minutes, assuming automatic start of VDR", Delta / 60);
      SetUserInactive();
+     }
 }
 
 void cShutdownHandler::SetShutdownCommand(const char *ShutdownCommand)
@@ -126,8 +128,13 @@
   time_t Delta = WakeupTime ? WakeupTime - time(NULL) : 0;
   cString cmd = cString::sprintf("%s %ld %ld %d \"%s\" %d", shutdownCommand, WakeupTime, Delta, Channel, *strescape(File, "\"$"), UserShutdown);
   isyslog("executing '%s'", *cmd);
-  if (SystemExec(cmd, true) == 0)
+  int Status = SystemExec(cmd, true);
+  if (!WIFEXITED(Status) || WEXITSTATUS(Status))
+     esyslog("SystemExec() failed with status %d", Status);
+  else {
      Setup.NextWakeupTime = WakeupTime; // Remember this wakeup time for comparison on reboot
+     Setup.Save();
+     }
 }
 
 void cShutdownHandler::SetUserInactiveTimeout(int Seconds, bool Force)
diff -ruN vdr-1.5.10/thread.c vdr-1.5.11/thread.c
--- vdr-1.5.10/thread.c	2007-08-24 15:15:48.000000000 +0200
+++ vdr-1.5.11/thread.c	2007-10-19 16:30:13.000000000 +0200
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: thread.c 1.62 2007/08/24 13:15:48 kls Exp $
+ * $Id: thread.c 1.63 2007/10/19 14:30:13 kls Exp $
  */
 
 #include "thread.h"
@@ -518,7 +518,7 @@
      if (Detached) {
         // Fork again and let first child die - grandchild stays alive without parent
         if (fork() > 0)
-           exit(0);
+           _exit(0);
         // Start a new session
         pid_t sid = setsid();
         if (sid < 0)
diff -ruN vdr-1.5.10/tools.c vdr-1.5.11/tools.c
--- vdr-1.5.10/tools.c	2007-10-13 14:00:21.000000000 +0200
+++ vdr-1.5.11/tools.c	2007-11-03 16:34:07.000000000 +0100
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: tools.c 1.136 2007/10/13 12:00:21 kls Exp $
+ * $Id: tools.c 1.137 2007/11/03 15:34:07 kls Exp $
  */
 
 #include "tools.h"
@@ -896,7 +896,7 @@
      time(&t);
   struct tm tm_r;
   tm *tm = localtime_r(&t, &tm_r);
-  snprintf(buffer, sizeof(buffer), "%s %02d.%02d %02d:%02d", *WeekDayName(tm->tm_wday), tm->tm_mday, tm->tm_mon + 1, tm->tm_hour, tm->tm_min);
+  snprintf(buffer, sizeof(buffer), "%s %02d.%02d. %02d:%02d", *WeekDayName(tm->tm_wday), tm->tm_mday, tm->tm_mon + 1, tm->tm_hour, tm->tm_min);
   return buffer;
 }
 
diff -ruN vdr-1.5.10/vdr.c vdr-1.5.11/vdr.c
--- vdr-1.5.10/vdr.c	2007-08-26 16:36:48.000000000 +0200
+++ vdr-1.5.11/vdr.c	2007-11-03 15:46:29.000000000 +0100
@@ -22,7 +22,7 @@
  *
  * The project's page is at http://www.cadsoft.de/vdr
  *
- * $Id: vdr.c 1.300 2007/08/26 14:36:48 kls Exp $
+ * $Id: vdr.c 1.302 2007/11/03 14:46:29 kls Exp $
  */
 
 #include <getopt.h>
@@ -181,6 +181,7 @@
 
 #define DEFAULTSVDRPPORT 2001
 #define DEFAULTWATCHDOG     0 // seconds
+#define DEFAULTCONFDIR CONFDIR
 #define DEFAULTPLUGINDIR PLUGINDIR
 #define DEFAULTEPGDATAFILENAME "epg.data"
 
@@ -382,8 +383,7 @@
      if (DisplayHelp) {
         printf("Usage: vdr [OPTIONS]\n\n"          // for easier orientation, this is column 80|
                "  -a CMD,   --audio=CMD    send Dolby Digital audio to stdin of command CMD\n"
-               "  -c DIR,   --config=DIR   read config files from DIR (default is to read them\n"
-               "                           from the video directory)\n"
+               "  -c DIR,   --config=DIR   read config files from DIR (default: %s)\n"
                "  -d,       --daemon       run in daemon mode\n"
                "  -D NUM,   --device=NUM   use only the given DVB device (NUM = 0, 1, 2...)\n"
                "                           there may be several -D options (default: all DVB\n"
@@ -425,6 +425,7 @@
                "  -w SEC,   --watchdog=SEC activate the watchdog timer with a timeout of SEC\n"
                "                           seconds (default: %d); '0' disables the watchdog\n"
                "\n",
+               DEFAULTCONFDIR,
                DEFAULTEPGDATAFILENAME,
                DEFAULTPLUGINDIR,
                LIRC_DEVICE,
@@ -523,6 +524,7 @@
   int PreviousChannel[2] = { 1, 1 };
   int PreviousChannelIndex = 0;
   time_t LastChannelChanged = time(NULL);
+  time_t LastInteract = 0;
   int MaxLatencyTime = 0;
   bool InhibitEpgScan = false;
   bool IsInfoMenu = false;
@@ -536,7 +538,7 @@
   // Configuration data:
 
   if (!ConfigDirectory)
-     ConfigDirectory = CONFDIR;
+     ConfigDirectory = DEFAULTCONFDIR;
 
   cPlugin::SetConfigDirectory(ConfigDirectory);
   cThemes::SetThemesDirectory(AddDirectory(ConfigDirectory, "themes"));
@@ -1069,6 +1071,7 @@
           }
         Interact = Menu ? Menu : cControl::Control(); // might have been closed in the mean time
         if (Interact) {
+           LastInteract = Now;
            eOSState state = Interact->ProcessKey(key);
            if (state == osUnknown && Interact != cControl::Control()) {
               if (ISMODELESSKEY(key) && cControl::Control()) {
@@ -1195,7 +1198,7 @@
               ShutdownHandler.countdown.Cancel();
            }
 
-        if (!Interact && !cRecordControls::Active() && !cCutter::Active() && !Interface->HasSVDRPConnection() && (Now - cRemote::LastActivity()) > ACTIVITYTIMEOUT) {
+        if ((Now - LastInteract) > ACTIVITYTIMEOUT && !cRecordControls::Active() && !cCutter::Active() && !Interface->HasSVDRPConnection() && (Now - cRemote::LastActivity()) > ACTIVITYTIMEOUT) {
            // Handle housekeeping tasks
 
            // Shutdown:
